ExtemPx

Visit us at: http://www.AppDC.com

ExtemPx© 6.1

Compounding Pharmacy System

Application Design Consultants, Inc. Tierra Verde, FL

Contents

License Agreement

Help & Support

Updating ExtemPx

What's New

Important Notes - if you are uggrading from the previous version

What's Different - from the previous version

New Features - new in this version

Using ExtemPx

Getting Started

Tutorial (DEMO)

Security (Admin)

Prices & Costs

Housekeeping

Tips 'n Tricks

User Notes

User Interface

Caveats and Cautions

Technical Notes

Log On

Back Door

Users

Security

Searching

Searching in Detail

Options/Preferences

General

Misc. Data

Rx Data

Database/Network

Labels/Reports

Price Schemes

Prices/Costs/Biz

Price Quotes

Price Schemes

Customer Invoice

Vendor Orders

CII Reporting

Reports & Labels

Chemicals

Add/Edit/Delete

Inventory

Formulas

Add/Edit/Delete

Inventory

Import & Export

Devices

Add/Edit/Delete

Inventory

Patients

Add/Edit/Delete

Animal/Vet Notes

Providers/Doctors

Add/Edit/Delete

Vendors/Contacts

Add/Edit/Delete

Prescriptions

ToolTips

Filling Rx's

Pt Info Sheets (PAL's)

Refill Rx's

Deleting an Rx

Transferring an Rx

Refill Authorization

'Hold' Rx's

Sig Codes

CII Reporting

Inventory

Chemical & Device Inventory

Formula Inventory

Vendor Orders

Reports & Labels

Auxiliary Labels

ExtemPx Reports

Report Writer

Label Writer

Mail Merge

Customer Invoice

Tools & Wizards

AppDC LiveUpdate

Database Wizard

EFT Wizard

Label Wizard

Upgrade Wizard - if you are uggrading from the previous version

      © Application Design Consultants, Inc.  All Rights Reserved.


License Agreement

APPLICATION DESIGN CONSULTANTS, INC. LICENSE AGREEMENT

Accepting this license agreement indicates your agreement to be bound by the terms of this agreement. If you do not agree with them, do not install, use or copy, this software.

The information contained in this program is not intended to replace the clinical judgement of the physician, pharmacist, nurse or other health care professionals. The information is derived from multiple references and the clinical literature. However, Application Design Consultants, Inc. disclaims all warranties, whether expressed or implied, including any warranty as to the quality, accuracy or suitability of the information for any particular purpose.

This agreement governs your use of the Application Design Consultants, Inc. products enclosed with it including any manuals, disks, computer program and materials associated with it (the "Software").

BY OPENING THE SEALED PACKAGES CONTAINING THE DISKS AND/OR BY USING THE SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, PROMPTLY RETURN THE UNOPENED DISK PACKAGES TO THE PLACE YOU OBTAINED THEM FOR A FULL REFUND.

1. Grant of License. This Agreement permits you to use one copy of the Software, which is licensed as a single product. The Software is "in use" on a computer when it is loaded into the temporary memory (i.e., RAM) or installed into the permanent memory (e.g., hard disk or other storage device) of that computer. You may use the Software on a network provided you have purchased one copy for each user.

1a. Grant of License may be dependent upon a yearly service fee. The amount of this fee is set by AppDC and you agree to possible forfeiture of your license to use the software upon failure to pay this fee upon receipt of invoice.

2. Copyright and Restrictions. The Software is owned by Application Design Consultants, Inc. and is protected by United States and Canadian copyright laws and international treaty provisions. Application Design Consultants, Inc., its suppliers or licensors retains all rights not expressly granted. You must treat the Software like any other copyrighted material, except that you may either make one copy of the Software solely for backup or archival purposes or transfer the Software to a single hard disk provided you keep the original solely for backup or archival purposes. You may not rent or lease the Software, but you may transfer your rights under this Agreement on a permanent basis provided you transfer the license granted by this Agreement, the Software and all associated printed materials, retain no copies and the recipient agrees to the terms of this Agreement. You may not reverse engineer, decompile or disassemble the Software, except to the extent applicable law expressly prohibits the foregoing restriction.

3. Limited Warranty. For 90 days from your date of purchase, Application Design Consultants, Inc. or its suppliers warrants that the media on which the Software is distributed are free from defects in materials and workmanship. Application Design Consultants, Inc. will, at its option, refund the amount you paid for the Software or repair or replace the Software provided that (a) the defective Software is returned to Application Design Consultants, Inc. or an authorized dealer within 90 days from the date of purchase and (b) you have completed and returned the enclosed registration card (if one is included). These are your sole remedies for any breach of warranty. Application Design Consultants, Inc., its suppliers and licensors disclaim all other warranties, either express or implied, with respect to the Software and the accompanying written materials, including but not limited to implied warranties of merchantability and fitness for a particular purpose.

4. Limitation of Liabilities. In no event will Application Design Consultants, Inc., its suppliers or licensors be liable for any indirect, special, incidental, economic or consequential damages arising out of the use or inability to use the Software, even if such party has been advised of the possibility of such damages. In no event will Application Design Consultants, Inc., its suppliers or licensors' liability exceed the amount paid by you for the Software. Because some jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.

5. U.S. Government Restricted Rights. The Software is provided with RESTRICTED RIGHTS. Use, duplication or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial Computer Software--Restricted Rights at 48 CFR 52.227-19, as applicable.

Application Design Consultants, Inc., 642 6th Ave. N., Tierra Verde, FL 33656.


Help & Support
Getting the Help You Need

ExtemPx Help & Documentation

The first source of information is the ExtemPx Help file - what you are reading now. Online documentaion files are also stored in the ExtemPx 'Help' folder (although the Help Manual is just a reprint of the Help file). Help is context sensitive. Simply hitting the F1 key will open the Help file to the appropriate topic for the current screen.

AppDC Help & Support

If you cannot find the answer in the Help file AppDC offers free support. If you subscribe to the AppDC Technology Guarantee Program (see below) you are welcome to call toll-free 24 hours a day, seven days a week (877.343.0229). If you do not subscribe to the TGP please send your questions via email (Support@AppDC.com).

AppDC LiveUpdate

ExtemPx is updated at least quarterly via the internet using the AppDC LiveUpdate technology. An open internet connection is required. Once per quarter the LiveUpdate reminder will appear on screen asking if you wish to update ExtemPx. If you subscribe to the AppDC Technology Guarantee Program (see below) you may receive an email notifying you to run LiveUpdate manually to update ExtemPx. TGP subscribers may also request program updates that may be installed via LiveUpdate - usually the same day. See the LiveUpdate topic for more information.

AppDC Technology Guarantee Program (TGP)

The AppDC Technology Guarantee Program (TGP) is an optional subscription program for users who desire premium support service and the latest program updates. Special requests are made a priority for TGP subscribers. Contact AppDC (877.343.0229) for TGP subscription pricing. See the Technology Guarantee Program topic for more information.


Updating ExtemPx
Keep Up-To-Date - Automatically

AppDC LiveUpdate

AppDC's LiveUpdate technology is designed to help you keep your software up-to-date. Every quarter, the LiveUpdate screen will automatically pop up and offer to check for the latest program updates. See the LiveUpdate topic for more.

TGP subscribers may obtain program updates at any time - and special requests can often be made available within hours! See below for TGP information.

AppDC Technology Guarantee Program

The AppDC Technology Guarantee Program (TGP) is an optional subscription program for users who desire premium support service and the latest program updates. Special requests are made a priority for TGP subscribers. Contact AppDC (877.343.0229) for TGP subscription pricing.

  • If you cannot find an answer in the Help file, AppDC offers premium support. If you subscribe to the AppDC Technology Guarantee Program you are welcome to call toll-free 24 hours a day, seven days a week (877.343.0229). (Non-TGP subscribers are requested to send questions via email Support@AppDC.com).
  • TGP subscribers may run LiveUpdate at any time to receive the latest updates (non-subscribers must wait for each quarter). Email notifications are sent to TGP subscribers whenever a new update is posted on the AppDC server.
  • As long as you are a TGP subscriber you are eligible for FREE upgrades. Upgrades are completely new versions and are offered to current users at a discount - TGP subscribers get them FREE.*
  • Special requests from TGP subscribers are a priority at AppDC. For example, you may need a modification to the software or a special query to use with the Mail Merge fntion. Often, special updates can be made available for download within hours.*
  • TGP subscribers receive a FREE copy of the IJPC eCompendium of formulations. This program (called The Formulizer) contains all the formulations ever published in IJPC and contained almost 450 as of January 2003 with more added each quarter. The formulas in The Formulizer can be imported directly into ExtemPx. The Formulizer is updated with new formulas every quarter and TGP subscribers get the FREE.*

* Some restrictions apply. Contact AppDC for details.


AppDC
Application Design Consultants, Inc.

Sun, Sand, Palm Trees & Blue Water

AppDC is located on the tropical paradise island of Tierra Verde near Tampa Florida. Actually, we're on St. Petersburg Beach but most people know where Tampa is (go Bucs!).

World-Class Software

AppDC is a dedicated software company founded by a pharmacist in 1987. For over 15 years we have specialized in custom produced software for our clients in the healthcare industry. ExtemPx was produced because of the need for compounding software during a time when there were no good programs available. Today, ExtemPx is sold around the world and is considered the premier program of its kind.

We love our tropical playground but we take the art of software production seriously. We put special emphasis on usabilty and performance. Our primary goal in every project is to strive for an intuitive user interface because, after all, we really do believe that our computers should work FOR US and not make our lives miserable.

AppDC is staffed by professional programmers and healthcare professionals who have adopted a simple yet unique philosophy:

"Make it easy to use AND make it dependable"

At AppDC, all we do is produce world-class software but we have never forgotten our roots in healthcare. That's why we say "We Speak Your Language".

Application Design Consultants, Inc.
642 6th Ave. N.
Tierra Verde, FL 33715
877.343.0229
www.AppDC.com


What's New

ExtemPx Version 6.1

ExtemPx was conceived and designed by compounding pharmacists. Over the years AppDC has solicited, welcomed and received countless ideas and suggestions for improving the software. The compounding pharmacists who use ExtemPx every day and the software experts at AppDC have proven a powerful partnership. ExtemPx 6.1 is the result of this partnership.

The "What's New" topic is divided into three sections:

The section titled "Important Upgrader Notes" contains information for ExtemPx 5.x users. Some new program features may impact the 'old' way of doing things in ExtemPx and all users that are upgrading to the new version should read this.

The section titled "What's Different" discusses functions present in previous versions that are handled differently in the new version.

The section titled "New Features " briefly covers many new functions.

There are a few "Easter Eggs" in ExtemPx. If you find them let us know - but please don't ask us where they are...


Important Notes

Important Changes

Important Upgrader Notes

Important news for users uprading from ExtemPx version 5.x.

Process Rx Screen

  • Eliminated steps. Many extra steps were eliminated whenever possible throughout the new version. On the Process Rx screen, all Rx’s are loaded in the Rx Number dropdown as soon as a patient is picked . You no longer have to ‘search’ for Rx’s after picking a patient. Use the search button next to the patient dropdown list to search for Rx’s by patient, doctor, Rx number, etc.
  • More Eliminated steps. After choosing an Rx number from the dropdown the ‘save’ buttons allow you to immediately “Save Edit” or “Save Refill”.
  • One Way Street. Screen match-ups are one way under all circumstances. Working outside the Rx screen has no affect on the Rx screen itself. When working on the Rx screen the doctor, patient and formula data will also show on their respective screens. For example, choosing a patient on the Rx screen causes the Patient screen to be populated with the same patient. However, picking a patient on the Patient screen has no effect on the Rx screen. W ork done outside the Rx screen has no effect on the Rx screen.
  • Refills. ExtemPx now accurately calculates refills remaining - even partial refills. You may notice that some Rx's have an increased number of refills. This is by design since ExtemPx now calculates refills based on total quantity allowed, refill authorizations, and deleted Rx's so that an accurate number of refills remaining is displayed.

Price Scheme

  • Fixed bug that always included cost of ingredients to the price – now the cost of the ingredients is only added to the price if the “Price + Cost” option is checked. You should check your Price Schemes for accuracy.

  • Fixed rounding bug so that 0.5 will round UP to 1.00

  • Added “Per Unit” option where you can specify a price per formula unit. Best of all, you can combine this option will all the other Price Scheme options.


What's Different

What's Different

Some features in ExtemPx 6.1 are handled differently from previous versions. This section discusses functions that, although handled differently in the new version, don't necessarily impact the accuracy of the finished work.

If you have not read the topic "Important Notes " you should do so before continuing.

Read the topic " Important Notes " if you have not already done so.

Miscellaneous

  • ExtemPx loads very little data into RAM memory. By fetching data 'on demand' the memory overhead has been reduced by over 90%. This method also allows for true networking set ups. Since a 'lag' may be noticed during database reads on slower computers, AppDC recommends a fast computer.

Log On Screen

  • Read the topic "Important Notes " if you have not already done so. See Log On .
  • Choose the user from a drop down list instead of typing in the last name.
  • To use the "Secret Backdoor" entrance to the program, leave the user drop down blank, type in the initials "EXT" and your secret password that was saved during initial setup.

Process Rx Screen

  • Read the topic "Important Notes " if you have not already done so. See Prescriptions .
  • View deleted and transferred Rx's on the 'Patient Profile' tab. You can now "undelete" and "untransfer" Rx's.
  • Accurate Refills remaining. ExtemPx now accurately calculates refills remaining - even partial refills. You may notice that some Rx's have an increased number of refills. This is by design since ExtemPx now calculates refills based on total quantity allowed, refill authorizations, and deleted Rx's so that an accurate number of refills remaining is displayed.


New Features

New Features

ExtemPx 6.1 is loaded with new features. Most of the ideas came from users like yourself. If you have an idea for making ExtemPx better we want to hear from you. If you have not read the topic " Important Notes " you should do so before continuing.

Read the topics "Important Notes" and "What's Different " if you have not already done so.

Misc. New Features

  • System Data. The lower right portion of the splash screen contains system data such as program version numbers and data access engine versions.
  • Expanded Searching . Many fields have an Expanded Search function.
  • AppDC Wizards . ExtemPx now uses "Wizards" throughout in cases of multi-step functions.
  • Import/Export Formulas. You can import formulas from IJPC's Formulizer or from another ExtemPx user and export formulas to send to other ExtemPx users.
  • 'll

Log On Screen

  • Choose the user from a drop down list instead of typing in the last name. See Log On .
  • To use the "Secret Backdoor" entrance to the program, leave the user drop down blank, type in the initials "EXT" and your password that was saved during installation. See Log On .

Process Rx Screen

  • See the Prescriptions topic for more information.
  • Sig Codes . Type in the Sig Code area for quick sigs. Some sig codes are provided to get you started and you can modify, add or delete your own. Each code is separated by a space so that taken together they form a complete sig. For example: 't1t tid tg' contains three sig codes that translate into 'Take one tablet three times a day until gone". See Filling Rx's for more info.
  • Expanded Tool tips.
  • 'HOLD' Rx's. By disabling (unchecking) the 'Date Filled' date box you can put an Rx on 'hold'. See Hold Rx's for more info.
  • Patient Profile . The entire patient profile can be viewed on the 'Patient Profile' tab. View deleted and transferred Rx's on the 'Patient Profile' tab. You can now "undelete" and "untransfer" Rx's.
  • Partial refills. Refills are now displayed in fractions rounded to one decimal point. ExtemPx now calculates refills based on total quantity allowed, refill authorizations, and deleted Rx's so that an accurate number of refills remaining is always displayed.
  • Calculated Cost & Price. Calculated Costs & Prices are shown on screen and dynamically updated as changes are made.
  • ‘Refill Until’. A Refill Until date can be entered that will limit the time an Rx can be refilled. Patient Profile. Double click an Rx to work with it on the Rx screen.

Patient Screen

  • Patient Profile. Shows entire Rx history and demographic data.
  • Species notation for animal patients.
  • Body surface area calculator.
  • Improved insurance data entry.

Formula DB Screen

  • Add device ingredients on the same screen.
  • Edit ingredient quantities in the ingredient list.
  • Reorder ingredient list position.
  • Assign Therapeutic Category.
  • Assign a dosage form

Users and Security

  • Add/Edit users and security settings on a single screen. Sig Codes.

Other New Features

Here is a short list of new features. See the corresponding topics for more details.
  • Formula Transfer Wizard (Import and Export formulas).
  • Misc. Data management. Manage all the miscellaneous data from one screen.
  • Electronic ordering and invoice reconciliation (from participating vendors).
  • Customer Invoice. Print and invoice and/or save customer invoices in the database.
  • Price Scheme sliding scale and per-unit pricing.
  • System sounds.
  • Controlled Rx tracking and Electronic CII reporting.
  • Rx number prefixes.
  • Network. Real-time screen updates on network installations.
  • Improved backup function.
  • Automatic backup and database compact.
  • Multiple printer and paper bin support.
  • More standard reports.
  • Report Writer.
  • Standard label (Avery) designer and printer.
  • Mail Merge.
  • Export reports in 7 different formats.
  • Wizards used throughout to make tasks easier.
  • LiveUpdate keeps your program always up-to-date via the internet – automatically.


Using ExtemPx

Using ExtemPx - an intuitive approach

ExtemPx is designed to be intuitive - that is to say, it is designed to work the way you work. For example, when filling prescriptions you'll need to choose a patient, doctor, and formula (medication). The patient and doctor can be added to the database "on the fly" while filling the Rx. When adding a formula to the database, chemicals and other igredients can be added "on the fly" as well as the formula itself. Batches of formulas, pricing and all manner of information can be added or changed while filling the Rx. Whether you choose to add all data before beginning an Rx or add data while in the Rx process itself ExtemPx will work the way you do.

The ExtemPx screens are designed to be intuitive and color coding is used throughout to help guide you.

The "Using ExtemPx" Topics:

Log On explains the processing of logging on, user types, passwords and the "secret" back door .

The section titled "Users" discusses user types, adding and editing users, passwords and security.

The section titled "Prescriptions " covers many Rx functions such as Filling, Refilling , Deleteing, and Transfering Rx's. Other Rx related topics include increasing refills via an Authorization and discussions relating to the Rx screen user interface.

Don't forget the F1 key. Simply hitting F1 will bring up the ExtemPx topic that relates to the screen you are working on.


Getting Started

If you are new to ExtemPx, here is some important information you should know about getting started with ExtemPx.

If you read these topics carefully, most of your initial questions will be answered. Really.

  • The Security topic explains the 'secret' log on and entering yourself as a new user.
  • Prices & Costs covers some important information about generating Rx Prices and ingredient costs.

  • Housekeeping outlines such things as setting the next Rx number and a default price scheme.

  • Read Tips 'n Tricks for some cool short cuts.
  • The Tutorial is for the DEMO program only (it uses the dummy data in the Demo database). Read the ExtemPx Tour document for a walk-through of the main ExtemPx features.


Security (Admin)

Security

Your ExtemPx database already contains two users with full security built in:

1. The secret user called "ExtemPx User", with initials "EXT" and with an initial password of the word "Password". You will never see "EXT" in the list of users because it is hidden from view, but is always available as a "back door" into the program if you ever forget your own password.

2. The user called "User Training" with the initials "TRA". The password is the word "Training".

When you use the program for the first time, you should do two things right away. You must enter yourself in the database AND record the new passwords for yourself and the “secret” user.

1. Start ExtemPx (Start|ExtemPx) and at the Log On screen type in the initials of "EXT" and the password of the word "Password" (leave the User drop down list blank). Click OK and you will see a place where you must type in a new password. Save the new password and then immediately write the new password down on the placard that was included in the package. Store the placard in a safe place and you will then have your "secret back door" into the program.

2. Open the Security screen (Tools|Security) and enter your own user data. Be sure to enter your user type as "Pharmacist" and be sure to give yourself full security by checking off "Administrator" on the Security area before saving (in fact, check ALL the boxes). Choosing “Administrator” allows full access – including adding new users. Hit F1 to view the help file topic about entering new users if you wish.

3. After saving your data, click on File|LogOn to open the Log On screen again. Now pick yourself from the Users dropdown list and type in the password of "Password". Save your new password. Write it down on the placard if you wish. You should now be logged on and your database now contains three users. If you forget your password you can get into ExtemPx through the “backdoor”. Then you can open the Security screen (Tools|Security) and reset your password back to "Password".

You are now ready to enter all your users into the database. Open the Security screen (Tools|Security) again and begin entering the user data. The yellow drop down “combo box” labeled User Name is an example of how ExtemPx is color coded throughout. The yellow means that the box contains data - but you normally don’t type in this area unless it’s for searching. The white text boxes are used for typing your data. See the Help file topics “User Notes” and “User Interface” for info on the GUI (graphical user interface).

After entering the user data set the security levels. When you save a new user the password of “Password” is assigned automatically. The user enters their own password the first time they log on just as you did above.

See the topics Users and Security for more information.


Prices & Costs

In order for your pricing schemes to work properly you must make sure a cost per unit (unit cost) is assigned to every ingredient

When looking at the Formula Ingredient Detail list on the Formula Database screen, each ingredient in the formula is listed along with their unit costs. If an ingredient has a $.00 unit cost it usually means one of two things: Either the ingredient has no unit cost or the unit cost is too small (less than 0.01) to show in the list.

To get you started, your database of chemicals and devices was delivered with a default unit cost for most items (from various vendor catalogs). These unit costs were derived by taking the highest price (smallest package) of the available sources and dividing by the number of units per package. For example, Potassium Sorbate is available in 3 package sizes the smallest of which is 100 GM that sells for $10. The unit price is shown on the Chemical Inventory screen as 0.10 cents per gram. Looking at the formula for Pluronic gel 30% on the Formula Database screen, you see the unit cost for the ingredient Potassium Sorbate is 0.03 cents for the amount used (0.3 gm) to make the formula stock size of 100 ml. If a smaller unit cost had been assigned, it might have shown on the list as 0.00 even though it had a unit cost.

If a price is too low (less than 0.01) to be seen in a list and it DOES have a cost per unit, rest easy. The amounts are stored in the database as “double integers” out to 14 decimal places and all calculations are done using these numbers for the highest degree of consistency and accuracy. It is the unit cost assignments that are important.

Now, if you look at the ingredient Water (Purified) for the formula Pluronic gel 30% on the Formula Database screen, you’ll see its unit cost is 0.00. Go to the Chemical Inventory screen and look up Water (Purified) and you will see it has no unit cost associated with it (look in the frame labeled “Inventory Status”, the white Unit Cost box). Type in a Quantity of 1000, and a Package Cost of 10 ($10 per liter) and you’ll see the gray box (Unit Cost) change from 0.00 to 0.01 (or 1 cent per ml). Click Save and you are asked if you want to increase your inventory by a liter. Answer No. You are then asked if you want to change the unit cost (ExtemPx compares the current Unit Cost – the white box – to the calculated Unit cost – the gray box, and sees that they are different). Answer Yes and the white Unit Cost box changes to 0.01. Your Inventory Status frame now tells you that you have no water on hand, no par level, no reorder point is set but this chemical has a Unit Cost associated with it.

Go back to the Formula Database screen and you’ll see that the ingredient, Water (Purified) for the formula Pluronic gel 30% has changed to $1.00 – the cost for 100 ml that is used to make this formula. Magic! Go to the Formula Inventory screen and you’ll see the calculated unit cost (in the gray box) for the formula Pluronic gel 30% is 0.021, you have none on had, a par level and reorder point of 0 and the current Unit Cost (white box) is 0 also. You could click Save here to set the Unit Cost for the formula – just like you did for the chemical – if you wanted, or wait until you actually make a batch of the formula.

One more example. Look up Water (Tap) in the Chemical Inventory screen. You see that it does not have a unit cost either. This time simply type in 0.01 in the white Unit Cost box in the frame labeled “Inventory Status”. Click Save and you are asked if you want to modify the inventory. Answer yes and tap water now has a unit cost also. It’s a quicker way of doing it if you can do calculations in your head.

Maybe you’ve noticed the color-coding. You sometimes have to switch between Inventory and Database screens and they start to look alike. The background color on the left side navigation bar is green for the Inventory screens and the labels along the top of the screens themselves are green also. Also, yellow areas are where you look something up, gray areas are where you look at something but can’t change it and white areas are where you type in data.

Well, all that was quite a mouthful, so here it is in a nutshell:

For accurate pricing, each ingredient must have a unit cost. You should always verify that unit costs are correct for your inventory on hand. After adding a new chemical, or any other ingredient, you should immediately assign a unit cost so you don’t forget later. While you’re at it, you might as well assign a par level, reorder point and the amount you have in stock.


Housekeeping

A Few Other Things...

You should now go to the Options screen via Tools|Options. Choose the Rx Data category and set the next Rx number. Be careful, because you can’t put in a LOWER number (to avoid duplicate Rx numbers). The Address Defaults have been preset for you – make sure they are correct.

You probably don’t want to make any other changes (other than set a default Price Scheme) but it’s a good time to take a look at the Price Scheme screen. After clicking on the Price Scheme category , click on the Schemes in the Available Price Schemes list and type in some numbers in the test area to see how this screen works. There should be enough examples to give you a pretty good idea how to set up a Scheme. As a test, click on the "5 =55” Price Scheme and type in a test formula cost of 3.99 and a test device cost of 0.99 and you’ll see the expected price of $55.00. Leave the test numbers and click on each Price Scheme in turn to see how the different formulas affect the final price. The results are very surprising. You can delete or edit a Price Schemes but we recommend that you never delete a scheme. To make a Price Scheme the default, choose it from the list and click Apply (or just double click it).


Tips 'n Tricks

Watch The Buttons

Always start with a clean slate by hitting "Cancel" first. Watch the caption on the Save button (lower right). You can either tell ExtemPx you want to "Add New" formula (and then "Save New") OR tell ExtemPx you want to "Edit" a formula (and then "Save Edit").

Start Clean

Always start with a clean slate by hitting "Cancel" first. At least until you become familiar how the screens fill with data. Just remember:

One-Way Street

Screen data is filled one-way from the Rx screen. In other words, picking a patient while on the Rx screen will populate the Patient screen with the same data. However, picking a patient while on the Patient screen will have no effect on the Rx screen.

There are variations to the one-way rule in some cases. For example, picking a formula while on the Rx screen will populate the Formula Database and Formula Inventory screens. Picking a formula while on the Formula Database screen will populate the Formula Inventory screen - but have no effect on the Rx screen. Also, Picking a formula while on the Formula Inventory screen will populate the Formula Database screen - but have no effect on the Rx screen.

The idea behind the one-way rule is that work in progress on the Rx screen is unaffected by other screens.

Speed Keys

Speed keys speed up your work. See the User Interface topic for more.

Search the Dropdowns

An easy way to search a dropdown list (combo box) is to drop the list first, then begin typing in the list. As you type the closest match will be picked.

F1 Key

Don't forget the F1 key to bring up the help topice for the current screen.


Tutorial (DEMO)

Quick Start Tutorial - Demo Version Only

After ExtemPx has finished loading and indicated it is "Ready" you can begin right away.

Refill A Prescription

When you clicked the OK button at the Log On screen you were logged in as "ExtemPx X. User, R.Ph."

First, notice that the status bar at the bottom indicates that the person logged on (you) has a last name of "User" and that the Pharmacist of Record is "EXT" (also you). Now click on the icon labeled Fill Rx located on the navigation bar on the left side of the screen. You should now be in the Process Rx screen and the cursor will be waiting for you in the Patient drop down list. Type "Lon" in the dropdown list and hit the down arrow on your keyboard (or just select the patient "Dana Long" from the drop down list). Verify that this is the correct Dana Long by clicking the Patient icon on the Nav Bar. Dana Long will already be on the Patient screen waiting for you to arrive. Go back to the Fill Rx screen. As soon as you picked Dane ExtemPx tells you it has found two prescriptions. Choose Rx number 2149 from the Rx Number combo box.

You can now view the "broad details" of this Rx on the screen and see its fill history in the Rx Fill History list in the upper right. You can see that this Rx was filled once and has 3 remaining refills. At this point you could make Copy of the Rx. But for now, click on the Rx in the Rx Fill History list and the "fine details" for that particular Rx fill show on the screen. At this point you tell ExtemPx what your intentions are: Click on the "Refill" button on the lower right (the button changes to say "Save Refill"). ExtemPx is now ready to proceed with the refill.

Type in some additional Sig directions. Click on the Lot Number drop down to pick which stock of Progesterone capsules you'll use for this refill (the expiration date will fill in automatically). Make sure you have paper in your printer then click the "Save Refill" button the lower right.

Congratulate yourself on a job well done as you view the "label" (lines are printed on the paper to indicate the perforations on the labels you would normally be using).

This example of a refill assumes that the stock Lot Number you chose was from a formula you have prepared earlier and still have on hand. Learn more about making batches of formulas by hitting F1 while on the Formula Inventory screen. Learn about building formulas by hitting F1 while on the Formula Database screen.

Important Tip (we pause the tutorial for an important message)
Here's the most important tip: Watch The Buttons.

What this means is that in some places in the program you must state your intentions with a button click. The button captions are an important cue as to what you can do next. A good example is the "Refill" button that you click which tells ExtemPx what you intend to do. When clicked, this button changes to "Save Refill" which you click when you are ready to save.

Another example is the "Copy"/"Save Copy" button. And the screen where this is most important is the Formula Database screen where you build formulas. The Formula Database screen has THREE dual purpose buttons: "Add New"/"Save New", "Edit/"Save Edit" and "Copy/"Save Copy". Read more about these buttons later in the tutorial and also by hitting F1 while on the Formula Database screen.

For now, just remember: Watch The Buttons.

Edit Patient Data
Go back to the Patient screen and choose Dana Long again if she Isn't already on the screen. As soon as you pick a patient from the list, ExtemPx assumes you will either Edit or Delete (or Copy) this person. Change the Note to read that, after the "incident" last weekend, Dana now only owns one cat and ONE goldfish. Click the "Save Edit" to record the change

If you "Copy" a patient (or doctor too) ExtemPx assumes you want to add a new person with the same address. Therefore, if you click the "Copy" button (your intention), the address info will stay on the screen but the name info will be blank. Click the "Save Copy" button when you're ready to save.

More Rx History Data ...
Go back to the Fill Rx screen and look up the Rx's for Mike McCabe. Since Mike has only one Rx in the database, ExtemPx shows it automatically on the screen. That is, you don't have to pick Rx 2142 from the Rx Number list. ExtemPx has a lot of "smart" time saving features like this. The old promise that "computers will make our jobs easier" becomes a reality with ExtemPx.

Notice that the Transfer Rx box (at the screen bottom) has been checked. Click the "View Transfer Data" button to refresh your memory of that particular Rx's transfer info.

Log A Formula Stock
Click on the Form INV icon (use the Process Rx or Inventory categories on the Nav Bar) First, notice that the color of the Formula Inventory caption along the top (the Nav Bar Inventory category is color coded also). Since you will be moving between the screens as you work you will be able to see at a glance that you are at an Inventory screen.

The inventory data for the formula "Citrus Electrolyte Troche" should be showing on the screen (the same formula we worked with earlier on the McCabe Rx). At a glance we see the ingredients, the quantity of each ingredient needed to make a standard stock of 24 Troches and the quantity (48) we made the last time.

We can also see, graphically via the "gas gauge", our inventory status. We can note the quantity on hand, par level and reorder point. The saved cost per unit is shown and the current, calculated cost per unit (which may show that an ingredient cost has changed since the cost per unit was last saved) are shown.

At this point, if we want to make a stock of 48 Troches, we can just click the Save button. The "Next Lot Number" field is already filled in (ExtemPx calculates a numb-er using the current year, date and time - you will never have a duplicate lot number with ExtemPx).

It's as simple as that. (We told you ExtemPx was easy to use).

The stock label will print using the default assigned lot number (you could use your own Lot number instead). The formula expiration date is calculated for you and is based on the formulas Days To Expire value. ExtemPx prints a log sheet showing the preparation instructions with the quantities of each ingredient automatically calculated for the quantity of stock made. There are places on the log to record the lot numbers and expiration dates for ingredients, preparers initials, etc.

Turn your printer on and load a blank sheet of paper, then click "Save". You've just "prepared" a batch of 48 Troches. ExtemPx uses full sheet labels - the light grey lines represent the perforations on the paper. The top half of the sheet are "peel off" labels and the bottom half serves as the stock log sheet.

Build a New Formula
Navigate to the Formula Database screen using the menu or the Nav Bar. This is perhaps the most complicated part of ExtemPx - and rightly so as there is a lot going on here. This is where our "watch the buttons" tip will come in handy.

First, click the "Cancel" button to clear the screen. Notice the "Add New" button and notice that the Chemical drop down list is disabled.

At this point, (blank screen) ExtemPx does not know your intentions so you are li-mited to two actions (both of which are "stating your intention"). You could pick a formula fron the Formula drop down list (do not do so now though) which would signal ExtemPx that you wish to work with an existing formula OR . . .

Click the "Add New" button which tells ExtemPx that you intend to add a new formula to the database. The button now says "Save New" and the chemical drop down list is enabled. Now you just simply pick chemicals, type in the quantity and add them to the ingredient list. You can pick formulas to add to your new formula too (formulas within formulas). Continue to add your ingredients, noticing that ExtemPx calculates the cost of each ingredient inthe formula (assuming each ingredient has a "cost per unit" assigned). If you make a mistake, click the ingredient in the Formula Ingredient Detail list then click the "Remove" (left arrow) button - or simply double click the ingredient.

Fill in the rest of the screen, the quantity of the compounded formula, units, note, formula name, preperation instructions, etc. You can even assign a price scheme to this formula that will be used instead of your "default" price scheme. Set the expiration days, schedule and reference info and You're ready to click the "Save New" button.

Edit a Formula
First, click the "Cancel" button to clear the screen. Right now the Save button caption reads "Add New" and the Chemical drop down list is disabled. Pick your newly added formula from the Formula drop down list.

When you do, the Save button will read "Edit" and the Chemical drop down list is still disabled. This is because you have not told ExtemPx of your intentions by clicking the "Edit" button - that is, you can continue to pick different formulas from the Formula drop down list until you decide which one you will work with.

Click the "Edit" button, which changes to "Save Edit". Your chosen formula is "locked in" and now you can pick chemicals and formulas to add to the Formula Ingredient List, remove ingredients, assign a different Price Scheme and make any other changes to your formula.

Click the "Save Edit" button when you are done making your changes.

Generate A Report
Click on the Reports icon on the Tool Bar (or use the "Tools" category on the Nav Bar). The Reports screen pops up presenting you with a variety of reports. Some of the reports are not available in the Demo - but only because there may not be any data to show in the report. As you work with the demo, you may notice that more reports will become available simply because you have been saving data in the database.

The Reports screen opens up with the list of reports from the Pharmacy Category shown. Pick the report titled "Rx Daily Log". The Report Date defaults to today, the assumption being that the dai-ly log for pharmacist signatures will be printed once per day. If you filled or refilled an Rx today the report will have data to show otherwise you may want to change the date by using the Custom Date drop down list. Be sure to check off the Print Option of "Screen" then click the Print button. The report "prints" on the screen to show you the single Rx that was filled today (the refill for Dana Long). You can now print the report if you want to. You could also print directly to the printer without viewing the report on screen first.

While You're here, you can try some of the other reports. If a report has no "Report Info" it won't be available in the demo until you have worked with ExtemPx and the database has data to show. We recommend you print to the screen first because some of the reports can be quite large (for example, the chemical list). Most reports can be "printed" or saved to a file (text, XLS spreadsheet or HTML formats) that can be imported into a variety of programs (such as word pro-cessor or fax program).

What's Next
Thats about it for the tutorial. You can now explore ExtemPx on your own. You're not alone though, hit the F1 key and this help file will open the topic that coincides with the open screen. Also, you will find the Help Manual in the "C:\Program Files\ExtemPx6\Help" folder (assuming that you chose the default installation location). You can "save a tree" and keep the Manual open on the screen (instead of printing it) as you explore. Use the Windows Start|Find|Files or Folders... Search program if you can not find the manual. The Help Manual is called Extempx_Manual.doc (Word for Windows format), Extempx_Manual.wri (WordPad), Extempx_Manual.rtf (rich text). The Help file is called ExtemPx.hlp.

We recommend that you continue to demo ExtemPx in one of two ways.

  1. Use the Help Manual (F1 Key) and try out the features of ExtemPx one by one as you browse through the chapters.
  2. Dive right in and start pressing buttons. This is our preferred method but we suggest you start with the Nav Bar and click through each of the icons while using the F1 context sensitive Help. Don't forget to try out the Tool Bar icons and the Menu as well.

And Finally . . .
Be sure to try out LiveUpdate to get the latest ExtemPx program.

And please feel free to drop us a line to tell us what you think. ExtemPx is - and always will be - a "work in progress". We depend on input from the people who use the program to help us to continually upgrade and enhance its functionality. Got a gripe? Let us know. Do you have an idea that will make it easier to use? We want to hear from you. Is the program missing a vital function? Speak up!

Enjoy. Application design Consultants. Jerry@AppDC.com

http://www.AppDC.com


User Notes

ExtemPx is loaded with features that make a big difference in terms of ease of use. Before a single line of code had been written, ExtemPx had undergone many months of design and usability studies. Real users of the program (later to be the beta testers) were the fundamental component of the design phase. ExtemPx is truly an application designed by the people who use it. We welcome comments and suggestions from our customers. If you have an idea, suggestion or even a complaint about ExtemPx or even an idea for a program you would like to see on the market, please contact us at: Support@AppDC.com .

Other Topics to Read:

  • The section titled "User Interface" contains information about the ExtemPx GUI (Graphical User Interface).

  • The section titled "Caveats and Cautions" discusses things to be careful about such as protecting the database or pricing considerations.

  • The section titled "Technical Notes" is for people who wear a beanie hat with an attached propeller.

Consistancy

ExtemPx utilizes a consistent Graphical User Interface (GUI). The Save, Copy, Cancel and Delete buttons on the main screens are always in the lower right segment of the screen.

On screens where multiple functions are assigned to a single button, you must first "state your intentions". For example, when you pick a formula from the Formula combo box you must then choose either Edit or Copy before you can either Save Edit or Save Copy. The command button captions will change to reflect what action will be taken when they are clicked. For example, the Save button will read "Add New" until you pick a formula from the drop down list. It then reads "Save Edit" indicating that the current formula can be changed. If you click "Add New" (before picking a formula) the Save button changes to "Save New" indicating a new formula is ready to be saved. See the Formulas topic for more information.

Color Coding

The application is color coded throughout.

In general, YELLOW means you can only choose an item. WHITE is a place where you can type new data. GRAY are areas that cannot be changed.

YELLOW lists and fields signify an area from which the user can pick an item but not enter new data. An example would be the Patient dropdown on the Patient screen. You may choose a patient from the dropdown list but you must type data (such as names and addresses) in the WHITE text areas. You can type text in the drop down list to search the list. As you type the list will move to the closest item in the list.

WHITE lists and fields will accept new data. These are found on the chemical and device Inventory screens where a user can either choose an existing reorder number from the list or type in a new reorder number that will be saved. Existing reorder numbers can be edited by typing in the new reorder number in the WHITE text area.

GRAY dropdown lists and text fields are for information only. These areas cannot be changed. For example, when you choose a formula while filling an Rx, the units for the formula will appear in a gray area. This means that the units for the formula cannot be changed on this screen (formula units can only be changed on the Formula Database screen).

Navigation

Navigate throughout the program using the mouse or keyboard. In most cases, the Enter key will act like Tab and move you to the next field. Use Enter in large text areas to begin a new line. The menu along the top (accessed by Alt or the mouse) will take you to all areas of the application as will the Navigation Bar on the left side. The icon bar along the top will be handy for often used functions such as Save or Print.

The Help page titled User Interface (GUI) contains more information about the ExtemPx screens.


User Interface

The Graphical User Interface (GUI) is a big reason why ExtemPx is so easy to use. The GUI allows us to work using visual cues. ExtemPx takes full advantage of the Windows interface and takes it one step further by introducing some additional features to make your work easier (many of which came from users suggestions). See some more GUI information under the topic of User Notes.

Main Screen

The main screen consists of a navigation bar, menu, button bar, status bar and screens.

Navigation

Navigate throughout the program using the mouse or keyboard. In most cases, the Enter key will act like Tab and move you to the next field. Use the Enter key in large text areas (Notes) to begin a new line. The menu along the top (accessed by Alt or the mouse) will take you to all areas of the application as will the Nav Bar on the left side. The icon bar along the top will be handy for often used functions such as Save or Print.

The Nav Bar

The Navigation Bar on the left side will take you to all areas of the application. The Nav Bar consists of six groups: Process RX, Contacts, Database, Business, Inventory and Tools.

The Process Rx group consists of icons that will open screens that are common to the process of filling prescriptions. When filling a prescription, you will often enter a new Patient and new Doctor. You may also have to enter a new Formula. You might also want to increase the Formula Inventory. All of these screens are available from the Process Rx group.

Menu

The menu along the top will take you to all areas of the application. The ExtemPx menu uses standard Windows menu navigation conventions. That is, the menu uses "speed" keys and is accessed using the Alt key. You access the menu by using the Alt key and the appropriate speed key letter (for example Alt + F for the File menu). To navigate the menu choices try this: press the Alt key then the down arrow. Use the arrow keys to move through the menu choices.

The View menu choice (accessed by the Alt + V keys) drops down to allow you to pick from a choice of submenus. Access the Process Rx screen by using Alt + V then R keys. There are Shortcut keys also. Access the Process Rx screen by using the Ctrl + R keys.

ExtemPx Shortcut Keys:

  • Process Rx Ctrl + R
  • Patients Ctrl + P
  • Formula DB Ctrl + F
  • Doctors Ctrl + D
  • Formula Inv Ctrl + I
  • Save Ctrl + S
  • Cancel Ctrl + Z
  • Copy Ctrl + C
  • Paste Ctrl + V
  • Log On Ctrl + L
  • Price Quotes Ctrl + Q
  • Help F1

Button Bar

Many commonly used functions are represented on the button bar such as Print, Save and Delete. Of course, the use of the button bar must be in an appropriate sense, ie. If you click the Save icon when the Process Rx screen is empty nothing will happen.

Status Bar and Tool Tips

Tool Tips are used throughout the program. Hold the mouse over a button or box for a second and a small box will appear with a small bit of information. The Tool Tips topic (in the Prescription section) covers expanded tool tips.

Color Coding

The application is color coded throughout.

In general, YELLOW means you can only choose an item. WHITE is a place where you can type new data. GREY are areas that cannot be changed.

YELLOW dropdown lists signify a list from which the user can pick an item but not enter new data. An example would be the Patient dropdown on the Patient screen. You may choose a patient from the dropdown list but you must type data in the WHITE text areas.

WHITE dropdown lists will accept new data. These are found on the chemical and device Inventory screens where a user can either choose an existing reorder number from the list or type in a new reorder number that will be saved. Existing reorder numbers can be edited by typing in the new reorder number in the WHITE text area.

GRAY dropdown lists and text fields are for information only. These areas cannot be changed. For example, when you choose a formula while filling an Rx, the units for the formula will appear in a grey area. This means that the units for the formula cannot be changed on this screen (formula units can only be changed on the Formula Database screen).

Searching

Most yellow drop down lists have a built in search capability. Simply type in a few letters and drop down the list using the mouse or use the down arrow on the keyboard. See the advanced Searching topic also.

Misc.

The user can use the right mouse button in many area throughout ExtemPx. For example in a large text box (e.g. Notes or Sig) the right mouse button will bring up a floating menu that will allow you to select all the text copy and paste and delete, among others. Experiment with the right mouse button to discover many time saving shortcuts,

Anywhere in ExtemPx, context sensitive help is available simply by pressing the F1 key. The topic loaded will correspond to the visible screen.


Caveats and Cautions

BACK UP YOUR DATA

Application Design Consultants recommends that you back up your database at the end of each work day. AppDC can not be help responsible for lost, damaged or corrupted databases. If you lose your database and do not have a backup copy, AppDC may not be able to help you.

To back up your database you will need high capacity storage media such as an Iomega Zip drive. You can NOT use a floppy disk to back up your ExtemPx database.

To back up your database, click on Options on the View|Tools or Tools menu. Choose the Database tab. Make sure you have the appropriate disk or tape in the drive, then click on the Backup database button. ExtemPx will copy the database to the location you specify and notify if it was successful.

BACK UP YOUR DATA

Updates
Application Design Consultants may make available "Service Packs" or "LiveUpdate" downloads to the owners of ExtemPx. These updates may make changes to the interface, database or both. Before you install an update, you should back up your data before making any changes. Please follow the update instructions carefully. Updates to ExtemPx are via quarterly "LiveUpdate" downloads. You may have a service option (Technology Guarantee Program) that entitles you to additional update features.

Pricing
Remember, for correct Rx pricing, each formula ingredient (chemicals, devices and subformulas) must have a cost per unit. Read the Prices and Costs topic for more information.

Rx Numbers
Be careful if you change the "Next Rx Number". To avoid duplicate Rx numbers, ExtemPx will only allow a new Next Rx Number that is GREATER than the current Rx number. If, for example, the current next Rx number will be 2123 and you decide change it to 22000. If you then realize you REALLY wanted to change it to 2200 - you are out of luck. Once you click the Save button there is no going back.

Errors
If you encounter an Error while using ExtemPx, it is always a good idea to "reboot" or restart your computer. Sometimes, after an error, there are "code remnants" left in memory which may cause additional errors you would normally not see. Also, if an error occurs, a file is produced in the ExtemPx/Data folder called "Error.log" which you should send as an email attachment to Support@AppDC.com so that we may fix the problem for all users. Be sure to include a description of what you were doing when the error occurred.


Technical Notes

If you wear a beanie hat with an attached propeller, this topic is for you.

Propeller Heads

ExtemPx loads very little data into RAM memory. By fetching data 'on demand' the memory overhead has been reduced by over 80%. This method also allows for true networking set ups. Since a 'lag' may be noticed during database reads on slower computers, AppDC recommends a fast computer.

The ExtemPx database is a Microsoft Access 2000 database which is the most widely used mid-sized database in the world. As such it is also the most widely supported database in the world as well. Access is designed to store over 2 GB of data - more than enough storage space that the average sized pharmacy will need in a lifetime. The Access database can be opened and viewed by the users - it is an 'open architecture '.

MS Access has proven to be reliable and an excellent database in terms of performance. It is designed to support over 250 concurrent users but is not the wisest choice for client/server installations.

The Network version of ExtemPx (ExtemPx 6.1 for Networks) utilizes a Microsoft SQL Server database. If you require ExtemPx 6.1 for Networks because of many users or a heavy workload please contact AppDC.

ExtemPx utilizes stored procedures (stored queries) that reside on the database itself so that they are pre-parsed and pre-compiled. The program uses very few SQL statements in the program code.

ExtemPx is utilizes a fully modular design that allows encapsulation (and insulation) of each individual function. These individuals modules are interchangeable and available for alteration. Classes, collections and arrays are utilized throughout.

ExtemPx relies on few third party Active X "controls". For speed and efficiency, the choice was to use Windows API calls and programming in place of "plug ins". For example, the print dialog box appears programmatically without the use of a plug in common dialog control. The application takes full advantage of the speed and efficiency of modern bound controls.

Time elapsed from inception, design and beta testing of version 6.1 through introduction to the market: almost 3 years. Beta testing was ongoing throughout. The application proved to be stable and reliable from the beginning thanks to a thorough design phase. The database was successfully stress tested with a 20-pharmacy-years load of data.

Version 5.1 versus 6.1

ExtemPx 6.1 is twice the program compared to earlier versions. The statisics as of Nov. 2002:

 | Version 5.1 | Version 6.1
Forms (screens) | 22 | 58
Code Modules | 76 | 110
Lines of Code* | 26500 | 44150

*lines of code rounded, excludes comments and blank lines

Lead programmer: Jerry Tanski, R.Ph. (Jerry@AppDC.com)
Lead beta tester: Larry Frieders, R.Ph. (The Compounder )


Log On

If this your first Log On, see the Getting Started topic first.

Log On
The Log On screen appears after you start ExtemPx. Choose yourself from the Users drop down list and type in your password (your initials will show automatically). The password is shown on screen as asterisks.

Non-pharmacists must choose the initials of a "Pharmacist of Record" who will be overseeing their work. ExtemPx tracks work done by the person who is logged on and the pharmacist who was overseeing the work being done. The "Pharmacist of Record" is the pharmacist whose initials will appear on the Rx and Stock labels and various reports.

Pharmacists do not need to pick the initials of the "Pharmacist of Record" when they log on because they ARE the "Pharmacist of Record" themselves.

The status bar in the lower right of the ExtemPx screen shows the last name of the person who is logged on and the initials (in parenthesis) of the "Pharmacist of Record".

Re-Log On
You do not have to shut down ExtemPx to change users, simply choose File|LogOn from the top menu to log on. This is also true for the Pharmacist of Record in the case of, for example, a shift change. The user would log on again and choose the new Pharmacist of Record.

Log Off
If you leave ExtemPx you can log off first without shutting down the program. The Log On screen will show and you cannot continue to work with ExtemPx until a new user logs on.

Passwords
Users may change their passwords at the Log On screen. The new password must be typed in twice, must be at least 6 characters and can NOT be the word "Password".

New users always have the default password of "Password" when they are first entered into ExtemPx as users. New users log on the first time using this default password and are prompted to enter a new password before they can go any further. See the topics Users and Security for more information.


'Back Door' Entry

Forgot your password...?

See the Security (Admin) topic for a discussion about the 'back door'. If you're stuck and just can't log on, contact AppDC.


Users

Users and Security

Users may be added or edited by selecting Tools from the main menu bar and then selecting Security (or clicking the Users & Security icon on the Contacts Nav Bar).

Security levels provide various levels of access and security for each employee in the pharmacy.

  • See the Security topic for details.


Security

Add New User

Add - To enter a new User complete all relevant information, as related to the User. Clicking the Drop down boxes to fill in Title/User type information etc.

The users initials must be 3 letters and can not be the same as any other users initials. When saving a new user, ExtemPx will search the database of users to see if there are any duplicate initials.

The Encrypted Password box is grey and you are not able to type in this area. This is because the Password is always the word "Password" for new users - they will choose their own new password the first time they log on.

Be sure to pick the correct User Type from the drop down list. Pharmacist User Types do not have to choose a "Pharmacist of Record" when logging on. All other User Types do. ExtemPx keeps track of the user who is logged on (and what they do) for productivity reports. The "Pharmacist of Record" is the pharmacist who officially "signs off" on all pharmacist duties and who is also supervising the non-pharmacist who is logged on.

Security

Security Levels - Select carefully the Level of Access you wish each employee to have. Select as few as possible to have Administrator level security. When you choose the "Administrator Rights" option, all security options are enabled automatically. After entering the necessary information press Alt + S or using the mouse click the save button. A small window will appear to confirm the addition. Click OK to continue.

Edit User

Edit - Select the User from the drop down menu, by clicking on the drop down button and typing the first few letters of the Users name. Select your User from the drop down menu by clicking on the name with your mouse. Once your data appears on the screen you can make changes to the Users file, after you have made the desired changes press Alt + S or using the mouse click the Save edit button. Once the edits have been saved a small window will appear notifying you that the Edit has been saved successfully. Click Ok to continue.

Re-Set Password
You can not change a users password but an Administrator can reset the password to the word "Password" which will force the user to choose a new password when they log on. If you reset the users password be sure to tell them to log on using the word "Password" or they will keep attempting to log on with their old password and will be confused when they "can't get in".

Delete User

Delete - To Delete a User from your database select the User from the drop down menu, by click the drop down button and typing the first few letters of the Users name. Select the User from the list you wish to delete by clicking on their name. The information will populate the screen, once the data has appeared on the screen press Alt + D or using the mouse click the Delete key. A small window will appear and ask you to confirm your decision to delete the patient, answer Yes or No. If you select YES a second window will appear confirming the deletion. Click OK to continue. NOTE: Be very careful in deleting Users from your system, once they are deleted they are NOT RETRIEVABLE.


Searching

Searching in ExtemPx

ExtemPx uses a 'common' search screen that is set up specifically for the item being searched for.

By clicking the 'paperclip' icons [image] found next to various dropdown lists, you can invoke the search screen specific to the item listed in the dropdown list.

You can search for Rx's, patients, formulas, chemicals and devices.

  • View the Searching Details topic for specifics.


Searching Details

Searching in ExtemPx

After clicking the 'paperclip' button [image] found next to many dropdown lists the following (or similar) screen will pop up:

The 'Search Rx' screen.

All of the search screens look similar to the example shown but are modified slightly depending on the item being searched. The Search Fields area lists what your search will include. Search Fields lists will change depending on what options have been checked or what items have been chosen from dropdown lists.

In the example shown, 'Provider' is a Search Fields list item simply because a provider has been chosen from the dropdown list. 'Rx Number' is in the list because that option has been checked. In our example, we are searching for Rx's that have the number '21' in them (or patient last names that contain '21' because 'Patient Last Name' is a static - or default - criteria when searching Rx's). The Rx's must have our chosen provider and we are not limiting the search to whole words only.

If the result you desire is listed in the Results list, simply double click the list, or click 'OK' to select it. The underlying screen will be populated according to what has been searched. In our example, the patient will be selected on the Rx screen and all available Rx's will be in the Rx Number dropdown list. The Patient Profile screen would be filled out also.

The following sections outline the specifics you can expect from each type of search:

Rx Search
Default Criteria:
'Pt Last Name'
Default Options:
'Rx Number'
partial words
Options:
'Provider'
Whole words only

Patient Search
 Same as Rx Search except 'Rx Number' is not checked by default.

Formula Search
Default Criteria:
'Formula Name'
Default Options:
partial words
 Options:
'Therapeutic Category'
'Chemicals'
'Devices'
'Sub Formulas'
Whole words only

Chemicals & Devices
 Default Criteria:
'Chemical (or Device) Name'
Default Options:
partial words
 Options:
Whole words only


Options/Preferences

ExtemPx Options

Open the Options window by using the View|Tools or Tools menus or from the Tools Nav Bar. The preferences stored are enabled for ALL users (exceptions where noted).

The Options window works like a standard options dialog box in that pressing the Apply button will save data ONLY for the visible screen and clicking OK will save data on ALL screens before closing the window. Clicking Cancel will close the window without making any changes.

  • General Options - Modify the pharmacy address and phone number, default City, State and area codes. Enable System sounds. Other general options found here as well.

  • Rx Data - Max Lot numbers, Controlled Rx number prefixes, Next Rx number and Controlled Rx tracking and reporting. Set next Rx number.

  • Misc. Data - Enter new or edit existing miscellaneous data such as Titles and Specialty.

  • Database/Network - Backup and Compact the database. Chooses the location of a centralized ExtemPx database (networks). Toggle the 'Auto Refresh' function which will allow for real-time updating of data on each networked computer.

  • Labels/Reports - Choose printer and printer bin for the different labels and reports. Choose print options such as 'Ask Before Printing'.

  • Price Schemes - Set up new price schemes or edit existing ones. Set the default price scheme.


General

General Options

Address Defaults

Set the default State, City and Area codes for Doctors and Patients to avoid the chore of typing the same data over and over. This option does not apply to Vendors.

Business Data

The pharmacy business information can be changed. The fields will limit how much you can type to prevent "word wrapping" on labels. The pharmacy name can not be changed.

Other General Options

Enable the System Sounds using the checkbox. You can change your System Sounds by replacing the supplied sound files with those of your own. Contact AppDC for more information.


Rx Data

Rx Data Options

Maximum Lot Numbers

Set the maximum number of lot numbers to show in Lot Number dropdown boxes for the corresponding formulas. This is useful if you have generated many batches of formulas over time but you know you will not be working with batches that are no longer in inventory. By only listing the latest 5 batches made (the default) you avoid having to choose from among many Lot Numbers that no longer exist in inventory.

Universal Claim Form

Choose to use the Frieders Universal Claim Form which contains much more information than the IACP form. If you would like the system to prompt you to print a Claim form at the end of each prescription fill/refill, place a check mark in the white box.

ASAP (Controlled Rx Tracking and Reporting)

If you choose to track Controlled Rx's, you will be asked for additional information whenever you fill an Rx that uses a formula that is scheduled Controlled. Choose to track CII’s only or ALL controlled medications (CV-CII). This function is primarily for States that use triplicate Rx forms or are required to report controlled Rx transactions on a monthly basis. The additional data is stored in the database and shown on the ASAP report. See the CII Reporting topic (Prescriptions) or CII Report File topic (Reports & Labels) for more information.

Rx Number

Set the next Rx Number (Administrator Security only). Be careful: You can only change to an Rx Number that is GREATER THAN the existing number. This prevents duplicate Rx numbers.

Rx Number Prefix

Choose a prefix that will be printed with Rx numbers for Rx’s filled with ‘scheduled’ medications. For example you may wish to use “N” for CII’s and “C” for all other controlled medications (or you may wish to use only one prefix). The prefix letters are only shown on printed materials such as Rx labels and reports – the prefixes do NOT appear on the ExtemPx screens


Misc. Data

Misc. Data Options

Miscellaneous Data is managed on a multi-tabbed screen that is used throughout ExtemPx. For example, when the ‘paper clip’ button located near the Species drop down list (Patients screen) is clicked, the Misc. Data screen will pop up already opened to the Species tab.

Sig Codes

Select a Sig from the list, then make changes in the text areas to Save Edit or simply type in a new Sig Code and Sig in the text areas to Save New (Click cancel to re-set screen first).

NOTE: Sig Codes CANNOT CONTAIN SPACES.

Species

Select a Species from the dropdown list, then make changes in the text area to Save Edit or simply type in a new Species in the text area to Save New (Click cancel to re-set screen first).

Misc. Data

On the Misc. Data Tab you will work with one item at a time.

Select an item from the dropdown list, then make changes in the text area to Save Edit or simply type in a new item in the text area to Save New (Click cancel to re-set screen first).

Invoice

On the Invoice Tab you will work with one item at a time.

Select an item from the dropdown list, then make changes in the text area to Save Edit or simply type in a new item in the text area to Save New (Click cancel to re-set screen first). You can also choose to have Totals and Taxes auto calculated. See the Customer Invoice topic in the Prices/Costs/Business section for more information.


Database/Network

Database & Network Options

Backup Database

Click the button then select the location to backup to. STORE THE BACKUP OFF SITE. We recommend a large capacity drive such as a tape or Zip drive. A floppy disk will NOT work for database backup because the file is larger than the disk size.

YOU SHOULD BACK UP YOUR DATA OFTEN. IF YOUR DATABASE BECOMES DAMAGED AND YOU HAVE NO BACKUP YOU MAY LOSE ALL YOUR DATA.

  1. Application Design Consultants STRONGLY recommends that you back up your database as the end of EACH WORK DAY. To backup your database you will need a High capacity device such as an Iomega Zip Drive, CD burner or other media device. For additional information on your backup options consult with your network administrator.
  2. Press Alt + B or using your mouse click the Backup button. Using our mouse click on the combo box next to the field labeled Save In: Click the appropriate destination for your backup.
  3. Using your mouse click on the field labeled File name: Select a name for your new database backup file. Note: select a filename that will be consistent with subsequent backups to be made in the future i.e. Backup###### using the number spaces to represent the date of your backup.
  4. After you have selected the database backup location and named the file, using your mouse click on the Save button. Once your backup file has complete a small window confirming the creation of the backup will appear. Click Ok to continue.

Compact Database

ExtemPx will run faster if you compact the database on a regular basis. A compact is done once per 24 hour period automatically so this option will probably never be needed.

Auto Query (Network)

This option is used for network installations only when more than one computer uses the same ExtemPx database. This option enables ‘real time’ updating of drop down lists.

Database Location

View and change the current location of the ExtemPx database. You should never have to use this function except for network installations.


Labels/Reports

Labels & Report Options

Label and Report Options

Set the type of label to use for Rx's and Stock labels. For simplicity, ExtemPx currently supports one label type only. Unless another label type is added in the future, you should never have to change these settings. Choose an alternate printer and/or paper bin for each type of label or reports.

You can also choose to have ExtemPx ask you before printing an Rx or Stock label. There is also an options that allows the printing of the pharmacist’s full name on the Rx label (as is required in some States) and to print the patient address on the Rx label.

Prescription Labels

Rx Label - Select your default label stock from the drop down window.

Rx Label Printer - Based upon the printers available to your system, you may be able to select various printers for your print requirements. See you network system administrator for further information.

Paper Bin - Based upon the installed options on your printer, you may be able to print your prescription labels to a specific tray on your printer. See your network system administrator for further information.

Additional Options

Verify Rx Label Print - Enables a pop up window that asks if you want to print a label.

Rph. name on Rx Label - Enables you to print the full Pharmacist name on the Rx Label

Pt address on Rx Label - Enables you to print the full Patient address on the Rx Label

Formula Stock Labels

Formula Stock Label - Select your default label stock from the drop down window.

Formula Stock Label Printer - Based upon the printers available on your system, you may be able to select various printers for your print jobs. See your network system administrator for further information.

Formula Stock Paper Bin - Based upon the installed options on your printer, you may be able to print your stock labels to a specific tray on your printer. See your network system administrator for further information.

Additional Options

Verify Stock Label Print - Enables a pop up window that asks if you want to print a label.

Reports

Report Printer - Based upon the printers available to your system, you may be able to select various printers for your print requirements. See your network system administrator for further information.

Report Paper Bin - Based upon the installed options on your printer, you may be able to print your reports to a specific tray on your printer. See your network system administrator for further information.


Price Schemes

The Pricing tab is only visible to users with Administrator Security.

See the Price Scheme topic in the Business category for additional information. Also see the Formulas topic for information on assigning a Price Scheme to a formula.

ExtemPx is delivered with a handful popular pricing schemes. Learn to enter your own schemes by first clicking on all the available schemes to observe how the different values are set. Notice also the Pricing Scheme Description box which describes, in plain English, the effect each value will have on the scheme. Type in units, Rx device costs and formula costs in the test area to see the effect of the different values on the Rx price. The Price Scheme screen layout is described as follows:

Device Cost

Device cost refers to devices added when filling Rx's (those devices added during the Rx filling process). These costs can be multiplied or a flat fee added (Rx Device Cost + $0.00 and/or Rx Device Cost x 0.00). You may choose (recommended) to add devices to the formulas which then become part of the formula cost (devices used to prepare formulas, on the Formula DB screen).

Formula Cost

Formula cost refers to the cost of the formula ingredients including the devices used to make the formula.

These costs can be multiplied or a flat fee added (Rx Device Cost + $0.00 and/or Rx Device Cost x 0.00).

Test Scheme

Type in Units, Device cost and Formula cost in the test area to see the effect of the different values on the Rx price.

Other Markups

After the price has been calculated based on costs, you can further manipulate it. Multiply the Price by 0.9 to give a 10% discount. Round the price and add -0.01 so that all prices will end in “$X.99”. Set a Minimum Price. There are an almost infinite number of combinations.

Sliding Scale

Multiply the CALCULATED price by a value when it falls between the values set. For example, a calculated price of 9.50 would become 8.55 if the following values are used:

Calc. Price > 0 and <= 10.00 = Price x 0.9

Current Scheme in Use

Displays the current system default pricing scheme.

To Change the system default, using your mouse click on the drop down menu and scroll through the available Price Schemes, once you have located the desired scheme again using your mouse click on it one time. You will notice that the Price Scheme name: field has now been populate with your desired selection. Press Alt + S or using your mouse click the Save Edit button (or click the Apply button). The system will ask you if you want to change the default to the new price scheme answer Yes to apply the Price Scheme as the default.

Available Price Schemes

Drop down list of available Price Schemes. Choose one to edit.

Price Scheme Name

The name of the Price Scheme that has been picked from the drop down list or the name of a new Price Scheme.

Price Scheme Summary

Describes, in plain English, the effect each variable will have on the scheme.

Add New Price Scheme

Start by clicking Cancel on the Price Scheme screen. Choose the pricing variables and enter a new Price Scheme name. Click Save New. Hint: use the Test Area as you build the Price Scheme to verify the results are what you expect.

Edit Price Scheme

Choose a Price Scheme from the drop down list, make the changes, then click Save Edit.


Prices/Costs/Biz

Prices, Costs & Business

Business related ExtemPx functions.

  • Price Quotes - Calculate an Rx price quote quickly.

  • Price Schemes - Assign a default Price Scheme.

  • Customer Invoice - Generate an Invoice for your customers.

  • Vendor Orders - 'Check In' vendor orders quickly.

  • CII Reporting - Electronic Schedule Rx tracking and reporting.

  • Reports and Labels - ExtemPx reports and Standard Labels


Price Quotes

Calculating a Price Quote

Press Cntrl + Q to bring up the Price Quote screen (Or use the Tools| Price Quote menu or the Price Quote icon under the Business Nav Bar category).

The default Price Scheme in effect is shown and is also pre-picked in the Price Scheme drop down list. Choose the formula from the Formula drop down list. If a Price Scheme has been assigned to the formula, a message box will appear to notify you and the assigned Price Scheme will be automatically picked. See the Formulas topic for information on assigning a Price Scheme to a formula.

Add Rx devices to the list that will be used when filling the Rx (if you use them) keeping in mind that the cost of the Rx Devices may affect the Rx Price.

Enter an Rx quantity and the Rx Price Quote will be calculated automatically.


Price Schemes

Price Schemes

Rx’s are priced using the default Price Scheme in effect unless a formula has an assigned Price Scheme.

Pricing Schemes can be entered using the Options window (accessed using the View|Tools or Tools menus). See the Price Scheme topic in the Options category for additional information. Also see the Formulas topic for information on assigning a Price Scheme to a formula.

Unit Cost is defined as the package price divided by the package quantity (for example $0.12/ml or $0.32/gm).

If you plan to let ExtemPx assign a price to your prescriptions automatically, you need to keep this one important fact in mind: To generate the correct price, each ingredient in the formula used to fill the prescription must have a cost per unit.

Unit Costs - Existing Database Items

ExtemPx ships with a catalog of chemicals and devices. By default, almost all chemicals and devices are assigned a unit cost that is associated with the most expensive package size. You may need to change the default unit costs for chemicals and devices used in your business.

You should always check the cost per unit of each ingredient in a formula for accuracy. Also, if a formula contains a sub-formula, you should check the cost per unit of each ingredient in the sub-formula.

Unit Costs - New Database Items

When you save a new chemical, device or formula the Cost Per Unit is saved as $0.00. At the same time, when you save a new item, its initial inventory is saved as zero as well. You must then go to the Inventory screen and manually adjust the inventory and unit cost.

Here is the desirable scenerio: You add a new chemical and then immediately move to the Chemical Inventory screen. Then, looking up the price in a catalog, you set the cost per unit for the new chemical - even though you have none in stock. When you use the chemical as one of the ingredients in a formula (days later), the unit cost is already set and the formula will be priced correctly.

So, a good rule of thumb about adding new chemicals, devices and formulas: If you add a new item to the database, it is a good idea to immediately move to the Inventory screen and set the new items unit cost.

Unit Costs are set at the corresponding items’ Inventory screen. An easy way to set the unit cost for an item is to move to the Inventory screen and type in the unit cost in the white text box titled "Cost per Unit" found inside the "Inventory Status" frame. Then click Save and answer no to all questions except "Do you wish to change the unit cost?”


Customer Invoice

Customer Invoice

Access the Customer Invoice screen using the menu (Tools|Customer Invoice), the NavBar (Business| Customer Invoice) or clicking the Customer Invoice button on the Fill Rx screen.

NOTE: When clicking the Customer Invoice button on the Fill Rx screen, the ‘Bill To’ and ‘Send To’ fields are pre-filled with the patient data (if one has been picked).

Customer Invoice Options

Clicking the paper clip icon in the ‘Invoice Defaults’ box will bring up the Misc. Data screen. The ‘Status’, ‘Terms’, ‘Ship Via’, ‘Item Types’ items can be edited or new items added. The ‘Item Types’ can also have a tax rate assigned (expressed as a percent – ExtemPx does the calculations) and are used when entering line items to the invoice manually.

New Customer Invoice

The Invoice number field is filled automatically when the screen opens. The Invoice number is in the format “mmddyy-hhmmss” (the same format as the formula lot numbers). Choose a ‘Bill To’ and a ‘Ship To’ customer from the drop down lists to fill the fields automatically (the customer must already be a patient in the database). If a patient is chosen from the drop down list all Rx numbers for that patient will be loaded in the Rx Number drop down list. You may also type in the data manually. The ‘Save as Bill To’ check box (checked by default) causes any data entered in the ‘Bill To’ fields to be duplicated in the ‘Ship To’ fields.

NOTE: When clicking the Customer Invoice button on the Fill Rx screen, the ‘Bill To’ and ‘Send To’ fields are pre-filled with the patient data (if one has been picked).

Choose the Invoice defaults. The ‘Auto Calculate Invoice’ and ‘Auto Calculate Tax’ boxes are checked by default. These options enable the auto calculating of running invoice totals and line item tax amounts, respectively. Choose the ‘Status’, ‘Terms’ and ‘Ship Via’ items from their respective drop down lists.

Enter Rx line items automatically by first choosing the Rx Number and then double clicking the Rx in the Rx History list. Clicking the down arrow next to the Rx History list will also enter the line item.

HINT: If you are wish to enter Rx line items for a patient who is not the ‘Bill To’ customer, you can choose the correct ‘Bill To’ customer after building the invoice.

Enter line items manually by first choosing the ‘Item Type’ from the drop down list (below the Invoice grid), filling in the remaining fields and then clicking the up arrow to enter the line item into the invoice.

Edit any line item by first clicking it in the Invoice grid, then making the edit in the fields below the Invoice grid. Clicking the up arrow enters the edited line item into the invoice. Clear the Add New/Edit fields by choosing a new Item Type. Remove a line item by double clicking it in the Invoice grid.

To save the new invoice, click the ‘Save New’ button. You can also print the Customer Invoice without saving first.

Edit Customer Invoice

Choose the invoice number from the ‘Invoice Number’ drop down list, make the changes, and then click ‘Save Edit’.


Vendor Orders

Vendor Orders & Order Check-In

Vendor Orders & Invoices

See the Vendors Orders topic (Inventory) for more information.


CII Reporting

CII & Schedule Rx Reporting

CII & Schedule Rx Reporting

See the CII Reporting topic (Prescriptions) or CII Report File topic (Reports & Labels) for more information.


Reports & Labels

Reports & Labels

See the Reports & Labels topic for more information.


Chemicals

Chemical Database

The Chemical DB screen is accessed by using the View|Database menu or from the Database Nav Bar. The Chemical INV screen is accessed by using the View|Inventory menu or from the Inventory Nav Bar.

  • Add, edit or deletechemicals.

  • Manage the chemical inventory.


Add/Edit/Delete

Add/Edit/Delete Chemicals

Add Chemicals
New chemicals may be entered on the Chemical Database screen reached by selecting the Chemical icon on the Database Nav Bar.

To enter a new chemical simply complete the data fields with all pertinent information and use the Alt+S keys or click the Save New key with the mouse. Once the new chemical is entered the Save New key becomes Save Edit. Changes to the chemicals data can then be made and saved.

It is good practice to move to the Inventory screen to enter a unit cost each time a new chemical, device or formula is added to the database.

The yellow boxes contain drop down lists preloaded with data from which the user can select. See the User Notes for further information on color coded drop down boxes.

IMPORTANT NOTE: Select the units wisely. The units will remain static throughout ExtemPx. It is recommended that the choice of units be based on the most commonly used units. See the Units discussion in the Inventory section.

Edit Chemicals

From the chemical database screen, the chemical to be edited can be selected by typing in the first few letters of the chemical in the Chemicals field then using the Alt + down arrow key or the mouse to highlight the chemical. The chemical is then selected by pushing the enter key or clicking the mouse. Once the desired changes are made the user should then select Save Edit by using the Alt + S keys or clicking the Save Edit button with the mouse.

Chemical Inventory

See the Chemical Inventory topic in the Inventory section.


Inventory

Chemical Inventory

Chemical Inventory

See the Chemical Inventory topic in the Inventory section.


Formulas

Formula Database

The Formula DB screen is accessed by using the View|Database menu or from the Database Nav Bar. The Formula INV screen is accessed by using the View|Inventory menu or from the Inventory Nav Bar.

  • Add, edit or delete Formulas.
  • Manage the Formula inventory.
  • Import and Export Formulas.


Add/Edit/Delete

Add/Edit/Delete Formulas

TIP: Always start with a clean slate by hitting "Cancel" first. Watch the caption on the Save button. You can either tell ExtemPx you want to "Add New" formula (and then "Save New") OR tell ExtemPx you want to "Edit" a formula (and then "Save Edit").

Add Formulas

To begin, use the Alt + A keys or click the "Add New" button. This button will then become "Save New" and the user is ready to proceed. Click Cancel first if the button does not say Add New.

The screen contains drop down lists for formulas, chemicals and devices to be added to the new formula. Select from these lists to build the Formula Ingredient Detail. These lists contain formulas, chemicals and devices that have already been added to the database. Please see the New Chemical and New Device topics for instruction on how to add new chemicals and devices.

Select the formula, chemical or device and enter the ingredient quantity then click the Add button (right arrow). The ingredient will then appear on the Formula Ingredient Detail. If the cost of the ingredient will be taken into account when calculating price, make sure there is an associated unit cost.

Very importantly, in order for the formula to be priced correctly, a unit cost must be associated with each ingredient. If a formula ingredient shows a zero cost per unit while showing in the Formula Ingredient Detail list, you must remove it and assign a unit cost at that ingredients Inventory screen.

Ingredients can be removed from the Formula Ingredient Detail list by clicking on the ingredient and then clicking the Remove button or simply double clicking the Formula Ingredient Detail list. Ingredient quantities can be edited in the grid by clicking the quantity, entering the new data then hitting Enter. The order in which the ingredients appear in the list can be changed by using the up/down arrows.

Complete the quantity field for the formula and assign the units for the formula. The quantity is the total of all the ingredients – ExtemPx will calculate ingredient quantities when formula batches are prepared.

Instructions on making the formula should be completed in the Preparation field. These instructions will appear on the printed log Sheets that are produced when new formula inventory or refills are generated.

The reference and reference ID fields are internal documentation of the formula source. The reference is a drop down lists and contains data from the Vendor database. The reference ID can be a formula number, persons name, or some other method of identification.

Auxiliary Labels can be assigned to each Formula AFTER the Formula has been saved. All New Formulas are saved with a set of default Auxiliary Labels that will be used for Rx labels and Stock labels. See the Auxiliary Label topic for more information.

Once all data fields are completed use the Alt + S keys or click the Save New button.

NOTE: It is good practice to move to the Inventory screen to enter a unit cost each time a new chemical, device or formula is added to the database.

NOTE: Rx devices are not the same as devices associated with preparing a batch of a formula. Most users do not associate devices with Rx's. For consistency in pricing, we recommend that you associate devices with the preparation of formulas only.

HINT: Always start with a clean slate by hitting "Cancel" first. Watch the caption on the Save button. You can either tell ExtemPx you want to "Add New" formula (and then "Save New") OR tell ExtemPx you want to "Edit" a formula (and then "Save Edit").

Edit Formulas

Start with a clean slate by clicking "Cancel".

To edit a Formula, you must first pick a Formula to work with:

From the formula database screen, within the Process Rx or Database navigation bars, the formula to be edited can be selected by typing in the first few letters of the formula name in the Formulas field then using the Alt + down arrow key or the mouse to highlight the formula. The formula is then selected by pushing the enter key or clicking the mouse.

Once you choose a Formula, state your intentions by clicking the "Edit" button - the button will change to "Save Edit".

Auxiliary Labels can be assigned to each Formula. All New Formulas are saved with a set of default Auxiliary Labels that will be used for Rx labels and Stock labels. See the Auxiliary Label topic for more information.

Once the desired changes are made the user should then select "Save Edit" by using the Alt + S keys or clicking the Save Edit button with the mouse.

HINT: Always start with a clean slate by hitting "Cancel" first. Watch the caption on the Save button. You can either tell ExtemPx you want to "Add New" formula (and then "Save New") OR tell ExtemPx you want to "Edit" a formula (and then "Save Edit").

Formula Inventory

See the Formula Inventory topic in the Inventory section.


Inventory

Formula Inventory

Formula Inventory

See the Formula Inventory topic in the Inventory section.


Import & Export

Import/Export Formulas

The ExtemPx Formula Transfer Wizard (EFT)

Choose from the topics below to learn how to export a formula to an "eft" file or import a formula from an "eft" file or from IJPC's eCompendium The Formulizer.

  • The Export topic explains the steps to create and "eft" file (ExtemPx Formula Transfer).
  • The Import topic covers importing formulas from an "eft" file (perhaps from another ExtemPx user) or from IJPC's eCompendium The Formulizer.


Export Formula

Export Formulas

Export a formula to an ExtemPx Formula Transfer (EFT) file

You can export your formula data to a file that can be shared with other ExtemPx users.

1. Choose the Export 'Type'

After clicking 'Next' [image] at the EFT Wizard splash screen you see the 'Transfer Type & Source' screen:

Click the radio buttons for 'Export' and 'EFT File' (note: the 'EFT File' Source is the only choice for an export).

2. Choose the Formula

The next screen shows that a formula from our database was picked from the drop down list:

Choose a formula from the drop down. The ingredient details, quantity and unit are shown on screen.

3. Choose the Transfer Option

Moving to the next screen you see some export options:

You can choose not to include the formula note or the prep in the export.

4. Save the Transfer

When you click [image] 'Finish' you see the standard Windows 'Save As...' dialog:

After typing in the EFT file name we will save to the A: drive in this example (the '.eft. extension is added automatically). Your Windows 'Save As...' dialog may look different but works the same - just pay attention to the folder to which you save so you don't 'lose' the file!

That's it. The file can be sent to another ExtemPx user (perhaps on a floppy or as an email attachement).

NOTE: Be kind to the colleague who may be receiving your export. If your exported formula contains sub-formula ingredients (formulas-within-a-formula) you may need to export additional formulas. And, since ExtemPx allows an infinite number of nested formulas, you may need to do a number of exports. See the Import Formula topic to see why this is important.


Import Formula

Import Formulas

Import a formula from an ExtemPx Formula Transfer (EFT) file
or from IJPC's eCompendium: The Formulizer

You can import a formula sent from other ExtemPx users or from The Formulizer.

1. Choose the Import 'Type'

After clicking 'Next' [image] at the EFT Wizard splash screen you see the 'Transfer Type & Source' screen:

In this screen shot we are importing from an EFT file. (see 3b. for the Formulizer formula selection screen shot)

2. Read the Disclaimer

After clicking 'Next' the Disclaimer screen is shown:

The disclaimer emphasizes the fact that the formula you are importing may contain 'problem' ingredients. The most common problem is mismatched ingredient units.

3a. Choose the File (EFT file)

After clicking the OK button on the disclaimer you'll see a standard Windows 'Open' dialog box:

In this example we are opening the EFT file we saved in the Export Formula topic. We have modified the file so that it will contain some common problems that have to be resolved before saving.

3a. Choose the Formula (The Formulizer)

If we were inporting a formula from IJPC's Formulizer, the next selection screen would look like this:

After selecting the desired formula from the tree view list we will click 'OK'. Formulas can not be imported from the demo version of The Formulizer.

4. Retrieval Summary

Once the EFT file or The Formulizer formula is chosen you'll see a summary of the formula:

Our summary shows that there are 5 problem areas - all of which are in red text. The formula name is red because it is an exact match of an existing formula in the database. Four of the ingredients have problems. An ingredient unit is in red and also the ingredient type 'Form' (formula) is in red. A formula-within-a-formula (sub-formulas) can be dealt with three ways - and usually should be dealt with first to save time - as we'll see later.

5. Verify & Edit Formula Data

We are ready to fix the problems and when we click 'Next' a message box pops up:

In case we missed the formula name in red text, the message box tells us what needs to be fixed next. After clicking 'OK' we see:

The first modification screen contains the basic formula data. The note and prep may be blank if they were not included in the imported formula and can be entered here. The formula name is red telling us that it matches a formula already in the database. A unique name must be entered before moving on:

6. Ingredient Resolution

After fixing the formula name and clicking 'Next' we see the 'Ingredient Resolution' screen which looks like the summary screen:

This is where we make corrections to problem ingredients. You can change the sort order, formula quantity and formula units on this screen. Fix ingredients or change them by double clicking the line containing the ingredient you wish to change. Non-problem ingredients can be modified and ingredients can be deleted also.

6a. Non-Problem Ingredients

Double clicking the first ingredient pops up this screen:

Notice the 'problem description' tells us there is no problem with this ingredient. The EFT Wizard has found a matching ingredient in the database (in this case a chemical) with the same name and units as the ingredient in our import formula. You can change the quantity, primary and qs fields as well as delete the ingredient from the import.

6b. Questionable Matched Ingredients

Double clicking the second ingredient pops up this screen:

Every copy of ExtemPx sold initially contained 1750 chemicals & 450 devices pre-loaded in the database. The EFT Wizard first searches the first 1750 chemicals (or first 450 devices) in the database. If a match is found (using ID numbers) a second comparison is made against the name of the ingredient.

In this example a match was found by ID number but the two ingredient spellings do not match exactly. In this example, the ingredient in the database (the drop down list) is obviously the same as the import ingredient (the 'Ingredient Name' text box).

The problem can be fixed in one of three ways:
1. Click 'Save' if the database ingredient is indeed a good match.
2. Choose the correct ingredient from the drop down list if it already exists in the database.
3. Fill in the remaining fields (Form, Schedule, etc.) and save the new ingredient. AVOID DUPLICATE DATABASE INGREDIENTS by verifying that the desired ingredient does not already exist in the database before saving as new.

BE CAREFULL - be sure you 'Save' or 'Save New' the correct ingredient for the imported formula.

6c. Ingredient Not Found

Double clicking the third ingredient pops up this screen:

The EFT Wizard searched the first 1750 chemicals and found no ID match - BUT THE INGREDIENT MAY STILL BE IN THE DATABASE.

Since only the first 1750 chemicals (and first 450 devices) are searched it is quite possible that you may have entered the desired ingredient into the database but it was not found since its ID number would be greater than 1750. The EFT Wizard does not do text-only searches because the possibility of exact matches from one database to another is small and partial matches leave too much room for error.

In our example the screen shot shows that we have indeed found the correct ingredient and we would simply click 'Save' after picking it from the drop down list. The other two solutions are to delete it from the formula or enter it as a new ingredient. As before AVOID DUPLICATE DATABASE INGREDIENTS by verifying that the desired ingredient does not already exist in the database before saving as new.

6d. Ingredient Units Do Not Match

Double clicking the fourth ingredient pops up this screen:

In our example the import ingredient is 'ml' and an exact match was found in the database but the two ingredients have different units.

WARNING - WARNING - WARNING - WARNING - WARNING - WARNING - WARNING
THIS IS A COMMON PROBLEM

This problem most often occurs when a liquid ingredient is added by weight (or a solid by volume, etc.). This is most often seen in formulas imported from The Formulizer where formula ingredient measures are not standardized.

Another reason may be that the exporter of the formula has changed the units for the ingredient in their database (or the importer has changed theirs). AppDC clearly recommends in the ExtemPx Manual that ingredient units not be changed - they should always be the same units in which the ingredient is packaged.

The solution is:
1. Verify that the ingredient is correct (the drop down list). Since the EFT Wizard matched by both ID and text, it is probably the correct ingredient.
2. Calculate the correct quantity of ingredient in the new unit using the ingredients specific gravity. For example a liquid ingredient with a specific gravity of 1.2 listed in the formula as '4 gm' would be changed to 3.3 ml (conversely, a solid listed as '4ml' would be changed to '3.3gm').

BE CAREFUL - Remember, you are using the ingredient from YOUR database that uses different units than the same ingredient in the imported formula. The quantity will almost always be different.

6e. Sub-Formula Ingredient Found

Double clicking the last ingredient pops up this screen:

The last ingredient in our example is a sub-formula (or a formula-within-a-formula).

Deal with sub-formulas in one of three ways:
1. If you are certain the formula already exists in the database, choose it from the drop down list. Be sure the units match before clicking 'Save'.
2. Delete the sub-formula, finish saving the import, add the sub-formula to the database manually, then add it to the imported formula.
3. If the export file of the sub-formula was supplied to you or the sub-formula exists in The Formulizer, cancel this import, import the sub-formula, then come back to this import and try again.

TIP: Since dealing with sub-formulas may necessitate canceling the import, adding (or importing) the sub-formula, then trying the import again, you should always resolve sub-formulas first to save time.

8. Ingredient Resolution Complete

When all problem areas have been corrected there will be no red text on the 'Ingredient Resolution' screen:

All problem ingredients have been fixed and the 'Next' button is now enabled.

8. Save the Import

The final screen looks like this:

The final screen before saving. The 'Finish' button is enabled when all required fields (all except Category) have been completed.

NOTE: Once you have imported a formula, you may wish to set additional criteria for the formula such as Price Schemes, etc. Do this in ExtemPx via the Formula Database screen.


Devices

Device Database

The Device DB screen is accessed by using the View|Database menu or from the Database Nav Bar. The Device INV screen is accessed by using the View|Inventory menu or from the Inventory Nav Bar.

  • Add, edit or delete Devices.

  • Manage the Device inventory.


Add/Edit/Delete

Add/Edit/Delete Devices

Add Devices

New devices may be entered on the Device Database screen reached by selecting the Device icon on the Database Nav Bar.

To enter a new device simply complete the data fields with all pertinent information and use the Alt+S keys or click the Save New key with the mouse. Once the new device is entered the Save New key becomes Save Edit. Changes to the device data can then be made and saved.

It is good practice to move to the Inventory screen to enter a unit cost each time a new chemical, device or formula is added to the database.

The yellow boxes contain drop down lists preloaded with data from which the user can select. See the User Notes for further information on color coded drop down boxes.

IMPORTANT NOTE: Select the units wisely. The units will remain static throughout ExtemPx. It is recommended that the choice of units be based on the most commonly used units. See the Units discussion in the Inventory section.

Edit Devices

From the device database screen, the device to be edited can be selected by typing in the first few letters of the device in the Device field then using the Alt + down arrow key or the mouse to highlight the device. The device is then selected by pushing the enter key or clicking the mouse. Once the desired changes are made the user should then select Save Edit by using the Alt + S keys or clicking the Save Edit button with the mouse.

Device Inventory

See the Device Inventory topic in the Inventory section.


Inventory

Device Inventory

Device Inventory

See the Device Inventory topic in the Inventory section.


Patients

Patient Database

The Patient DB screen is accessed from the Process Rx Nav Bar or the Contacts Nav Bar. The patient screen contains a Patient Data tab and an Insurance tab and Profile tab.

  • Add, edit or delete Patients.

  • Animal Species and Vet notes.


Add/Edit/Delete

Add/Edit/Delete Patients

Add Patients
To enter a new Patient complete all relevant information, as related to the Patient. Be sure the Save button caption says "Save New". If it does not, click Cancel first.

Clicking the Drop down boxes (Yellow fields, with a down arrow) to fill in Title/Specialty information. Additional Title and Specialty codes may be entered by selecting Tools|Misc. Data then OR clicking Misc. Data icon in the Database Nav Bar category. See the Options topic for more information.

To enter information into the Patient Insurance screen click on the appropriate TAB after completing all relevant information, return to the Patient data tab and press Alt + S or using the mouse click the save button. A small window will appear to confirm the addition. Click OK to continue.

Edit Patients
Select the Patient from the drop down menu, by clicking on the drop down button and typing the first few letters of the Patients name. Select your Patient from the drop down menu by clicking on the name with your mouse. The Save button caption should say "Save Edit".

Once the data appears on the screen you can make changes to the patients file. After you have made the desired changes press Alt + S or using the mouse click the Save Edit button. Once the edits have been saved a small window will appear notifying you that the Edit has been saved successfully. Click Ok to continue.

Delete Patients

To Delete a Patient from your database select the Patient from the drop down menu, by click the drop down button and typing the first few letters of the Patients name. Select the Patient from the list you wish to delete by clicking on their name. The Save button caption should say "Save Edit".

The information will populate the screen, once the data has appeared on the screen press Alt + D or using the mouse click the Delete key. A small window will appear and ask you to confirm your decision to delete the patient, answer Yes or No. If you select YES a second window will appear confirming the deletion. Click OK to continue.

NOTE: Be very careful in deleting Patients from your system, once they are deleted they are NOT RETRIEVABLE.


Animal/Vet Notes

Animal species and Vet Notes

Patient Species

You may enter Species information by click the drop down menu and selecting the appropriate species description for your patient.

Patient species abbreviations will be printed on Rx labels and reports.

Additional species codes may be entered, by selecting Tools|Misc. Data then Species/Breed OR clicking Misc. Data icon in the Database Nav Bar category (or by clicking the ‘paper clip’ icon next to the Species drop down list on the Patients screen). See the Options topic for more information.

In the White box marked Species enter the Full description, using the tab key move to the Abbr. field and enter a Short CODE for this species and then press Alt + S or using the mouse click the Save button. A small box will appear confirming the addition of your new species. Click OK to continue.


Providers/Doctors

Doctors and Providers

Doctor Database

The Providers/Doctors screen can be selected from the Process Rx Nav Bar or the Contacts Nav Bar.

  • Add, edit or delete Providers/Doctors.


Add/Edit/Delete

Add/Edit/Delete Providers

Add Providers

To enter a new Provider/Doctor complete all relevant information, as related to the Provider/Doctor. Be sure the Save button caption says "Save New". If it does not, click Cancel first.

Clicking the Drop down boxes (Yellow fields, with a down arrow) to fill in Title/Specialty information. Additional Title and Specialty codes may be entered by selecting Tools|Misc. Data OR clicking Misc. Data icon in the Database Nav Bar category. See the Options topic for more information.

After completing all relevant information press Alt + S key or click the save button. A small window will appear confirming the addition. Click OK to continue.

Edit Providers

To select the Provider/Doctor click the drop down button, and enter the first few letters of the Provider/Doctor name. Select your Provider/Doctor from the drop down menu by clicking the name with your mouse. The Save button caption should say "Save Edit".

Once the data appears on the screen you can make changes to the Provider/Doctor file, after you have made the desired changes press Alt + S or click the Save Edit button. Once the edits have been saved a small window will appear notifying you that the Edit has been saved successfully. Click OK to continue.

Delete Providers

To Delete a Provider/Doctor from your database select the Provider/Doctor from the drop down box, by clicking the drop down button and typing the first few letters of the Provider/Doctors name. Select the Provider/Doctor from the list you wish to delete by clicking on the name with your mouse. The Save button caption should say "Save Edit".

The information will populate the screen, once your data has appeared on the screen press Alt + D or using the mouse click the Delete key. A small window will appear and ask you to confirm your decision to delete the Provider/Doctor, answer Yes or No. If you select YES a second window will appear confirming the deletion. Click OK to continue.

NOTE: Be very careful in deleting Providers/Doctors from your system, once they are deleted they are NOT RETRIEVABLE.


Vendors/Contacts

Vendors & Contacts

Vendor Database

The Vendors screen can be selected from the Contacts Nav Bar.

  • Add, edit or delete Vendors.


Add/Edit/Delete

Add/Edit/Delete Vendors & Contacts

Add Venders
To enter a new Vendor complete all relevant information, as related to the Vendor. Be sure the Save button caption says "Save New". If it does not, click Cancel first.

Clicking the Drop down boxes (Yellow fields, with a down arrow) to fill in Title/Specialty information. Additional Title and Specialty codes may be entered by selecting Tools|Misc. Data OR clicking Misc. Data icon in the Database Nav Bar category. See the Options topic for more information.

After completing all relevant information press Alt + S key or click the save button. A small window will appear confirming the addition. Click OK to continue.

Edit Venders
To select the Vendor click the drop down button, and enter the first few letters of the Vendor name. Select the Vendor from the drop down menu by clicking the name with your mouse. The Save button caption should say "Save Edit".

Once the data appears on the screen you can make changes to the Vendor file, after you have made the desired changes press Alt + S or click the Save Edit button. Once the edits have been saved a small window will appear notifying you that the Edit has been saved successfully. Click OK to continue.

Delete Venders

To Delete a Vendor from your database select the Vendor from the drop down box, by clicking the drop down button and typing the first few letters of the Vendor name. Select the Vendor from the list you wish to delete by clicking on the name with your mouse. The Save button caption should say "Save Edit".

The information will populate the screen, once your data has appeared on the screen press Alt + D or using the mouse click the Delete key. A small window will appear and ask you to confirm your decision to delete the Vendor, answer Yes or No. If you select YES a second window will appear confirming the deletion. Click OK to continue.

NOTE: Be very careful in deleting Vendor from your system, once they are deleted they are NOT RETRIEVABLE.


Prescriptions

Prescriptions are entered on the Process Rx screen. To reach this screen simply select the Fill Rx icon on the Process Rx Nav Bar or use the Process Rx|Fill Rx menu or use the Cntrl-R speed keys.

  • The Filling Rx's topic explains the entire process .
  • Refill Rx's discusses refills.
  • Deleting Rx's covers undeleting too.
  • Transfer Rx's outlines the process of assigning an Rx to another pharmacy (un-transfer also).
  • The Refill Authorization topic explains how to increase refills.
  • Hold Rx's covers entering Rx's without actually dispensing.
  • Sig Codes outlines sig entry.
  • CII Reporting covers gathering additional Rx data.
  • Tool Tips covers expanded tool tip data.


ToolTips

Expanded Tool Tips

Expanded Tool Tips
The Rx screen features 'Expanded Tool Tips' that allow you to see information at a glance for various items on the screen.

For example, after choosing a formula, the formula tool tip will contain formula ingredients, and quantity on hand.

HINT: To see the expanded tool tips, he mouse must be held precisely over the 'down' arrow button on the dropdown box. See the example.

The following items have expanded tool tips on the Rx screen:
Patient
Provider
Formula


Filling Rx's

Overview

The steps to prepare to fill a prescription:

  1. Enter a new Patient if needed.

  2. Enter a new Doctor if needed.

  3. Enter new chemicals and devices if needed for a new formula.

  4. Enter unit costs and adjust inventories for the new chemicals and devices saved.

  5. Enter a new Formula if needed.

  6. Enter the unit cost for the new formula you just saved.

  7. Increase the the stock of formula if needed.

HINT : Remember that filling Rx's may often be the last step in a number tasks. For example, the patient may need to be entered first or a batch of formula made. As your database grows, you will experience a decline in the number of intermediate steps needed to fill prescriptions.

Prescriptions

Prescriptions are entered on the Process Rx screen. To reach this screen simply select the Fill Rx icon on the Process Rx navigation bar or use the ExtemPx menu or Cntrl-R speed keys.

The user may move between fields by using either the tab key, enter key or the mouse. Many users will find the program will work most quickly by using the keyboard.

PATIENT
 The easiest way to select a patient is by typing the first few letters of the patients last name and then activating the drop down box by using the the Alt + down arrow key. The mouse can also be used by scrolling down until finding the patient name. Once the patients name is highlighted, the program will select the patient with a mouse is click.

If the patient is new, the name will need to be entered into the database. Please see Entering a New Patient for instruction on how to do this.

The selection of a practitioner is accomplished using the same methods for selecting a patient.

PRACTITIONER
If the practitioner is new, the name will need to be entered into the database. Please see Entering a New Practitioner for instruction on how to do this.

FORMULA/MEDICATION
The selection of a formula is accomplished using the same methods for selecting a patient and practitioner.

If the formula is new, it will need to be entered into the database. Please see Entering a New Formula for instruction on how to do this.

The units on quantity will default to those assigned to the formula. These units cannot be changed from this screen. If the user wishes to change the units it must be done by editing the formula. Please see Editing an Existing Formula for instruction on how to do this.

Rx DEVICES
The selection of a device is accomplished using the same methods for selecting a patient, practitioner, or formula. The Rx Devices are those associated with filling an Rx and may be used by the Price Scheme in effect to determine Rx prices. Rx devices are not the same as devices associated with preparing a batch of a formula. Many users do not associate devices with Rx's because Rx Devices are not automatically associated with formulas. They must be added for each new Rx (although they will be 'remembered' with each refill for the Rx). For consistancy in pricing, we recommend that you associate devices with the preparation of formulas only. See the Formula topic for more information on Formula Devices.

Very importantly, in order for the Rx to be priced correctly, a unit cost must be associated with each device, if they are used. If a device ingredient shows a zero cost per unit while showing in the Rx Devices Used list, you must remove it and assign a unit cost at the Device Inventory screen.

If the device is new, it will need to be entered into the database. Please see Entering a New Device for instruction on how to do this.

The quantity of devices used for the Rx will need to be specified. This is done by entering the quantity and selecting the Add to List button (right arrow). The selected device can be removed once it has been added by selecting the device and clicking the Remove From List button (left arrow) or by double clicking the item.

If the cost of the device will be taken into account when calculating price, make sure there is a unit cost associated with the device. The cost will appear to the right of the device once added. See Device Inventory and Prices and Costs to read more about unit costs.

SIG
Administration instructions can be entered by using Sig Codes or typing the instructions by hand. An Rx cannot be saved without directions for use. See the Sig Codes topic for more information.

LOT NUMBER
Before entering the prescription, a lot number must exist for the formula which will be dispensed. Lot numbers are generated when the inventory for a formula is increased. To increase a formulas inventory please see the Formula Inventory topic. An Rx cannot be saved without a Lot Number.

ExtemPx will show the lot numbers of the last few stocks made of that particular formula in the Lot Number drop down list. Only the most recently made batches are shown. When choosing a lot number from the dropdown list, the expiration date will fill in automatically. The user may choose the number of lot numbers which the program displays in the drop down list. This is done from the Options screen. To set different user options please see Setting User Options .

COST & PRICE
ExtemPx will display the cost for the prescription as well as the calculated price. The price may be changed directly on this screen if desired. The calculated price is based on Price Scheme formulas generated by the user within the User Options screen. To change existing, or set new formula Price Schemes please see the Price Schemes topic.

Patient Medication Info Sheets

Patient Medication Information Sheets (Info Sheets or PAL's) are printed on the bottom half of the Rx label. Info Sheets are Rich Text documents that are 'assigned' to the Rx Formula. See the Patient Info Sheets help topic for more information.

Transfer a Prescription

See the topic Transfer Rx.

Delete a Prescription

See the topic Delete Rx.

"Hold" a Prescription

See the topic 'Hold' Rx's

Refill Authorization

See the topic Refill Authorization

CII & Controlled Rx Reporting

See the topic CII Reporting


Pt Info Sheets (PAL's)

Patient Info Sheets (PAL's)

Patient Info Sheets

Patient Information Sheets (Patient Advisory Leaflets) are user defined documents that can be imported into, and print on, the bottom half of the prescription label. Since these documents can contain anything, including business advertising, we'll refer to them as 'Info Sheets'.

Info Sheets are Rich Text files that are stored in the ExtemPx Data folder (If you installed ExtemPx using all the default file locations this folder will be C:\Program Files\ExtemPx\Data). Rich Text files are word processor documents that can contain graphics and different fonts and colors. Most word processors can save documents as Rich Text, including WordPad which is usually installed with Windows.

HINT: The ExtemPx data folder location can be found on the DB/Network screen (Options).

Info Sheets and Formulas

Info Sheets can be associated with Formulas. When a prescription is filled for the Formula, the associated Info Sheet will be printed on the bottom half of the Rx label.

Info Sheets are loaded into the dropdown list on the Formula Database screen when ExtemPx is started. Info Sheets are assigned to a Formula by simply picking the Info Sheet from the dropdown list on the Formula Database screen. Click Save Edit to save the associated Info sheet with the Formula. The Info Sheet must be saved and in the correct folder before it will be available in the ExtemPx dropdown list.

The default.rtf Info Sheet

Two files are initially installed in the ExtemPx Data folder: default.rtf and template.rtf. Any Formula that does not have an assigned Info Sheet will use the file 'default.rtf' by default. You should modify this file to suit your purposes - many users will use a generic or advertising message for their default file. This file MUST have the name 'default.rtf'. If ExtemPx does not find a file associated with a formula, or it's in the incorrect folder, the bottom half of the Rx label will be blank.

Saving New Info Sheets

Most popular word processors can save documents as Rich Text. You can use either default.rtf or template.rtf as a guide to producing your own Info Sheets. Here are the 10 easy steps to making your own files:

1. Open your word processor.

2. Click File|Open or the open file icon.

3. In the File Open dialog box, move to the ExtemPx Data folder.

4. Choose the file named template.rtf and click Open or OK.

5. The template file will now be on your screen. Imediately click the File|Save As... menu choice and a Save As dialog box will appear.

6. Type in the name of the new file. Make sure you are saving the file in the Data folder. Make sure you are saving the document as Rich Text. Depending on the word processor, you will probably only have to type in the new file name - the file type and location will be automatic.

7. YOU ARE NOW WORKING WITH THE NEW FILE. The template file will be unchanged.

8. Modify the new file, using the template text as a guide, so that it contains your new text. Click Save (or the save icon) from time to time to save your work as you progress.

9. Click Save when you are finished. When you start ExtemPx the new file will be shown in the Formula Database dropdown list (IF you saved the file in the Data folder AND it has a 'rtf' file extension).

10. Be sure your files have unique and descriptive names.

The important points to remember are:

1. The Info Sheets MUST be in the ExtemPx Data folder (typically C:\Program Files\ExtemPx\Data).

2. The files MUST be saved as Rich Text with an 'rtf' extension.

If you prepare a document from a blank page consider these additional pointers as well:

1. The document should be sized correctly. Only the first 8 inches of width and the first 6 inches of height will print on the paper.

2. For best results, set up the document with a top margin of 2 inches and a bottom margin of 3.5 inches. This makes the document work area 6 inches tall. Set the left and right margins at 0.25 inch each to make the document work area 8 inches wide. Stay within the work area to ensure proper printing.


Refill Rx's

Refill Rx's

If you know the Rx number simply enter it in the Rx Number drop down list and hit the Enter key. If the prescription is found, the information is shown as if you had clicked the Rx number as described below. This “short” method will work only on a ‘clean’ screen where the Rx Number drop down is white in color.

HINT: Start with a “clean” screen by hitting Cancel first. The “short” Rx Refill number method will work only on a ‘clean’ screen where the Rx Number drop down is white in color.

If the Rx number is not known start by choosing a patient from the Patient drop down list. When a patient is chosen, all Rx’s for the patient are listed in the Rx Number drop down list which will then be color coded yellow, indicating the list is available for choosing items only.

Choose an Rx number from the Rx Number drop down list. All Rx fills will be shown in the Rx Fill History list and the “basic” Rx information will be shown (date written, date originally filled, provider, medication, original Rx quantity, refills, days supply and pricing information. The refills remaining for the prescription are shown also. At this point the Rx can be copied if desired (see the Copy Rx topic for more information).

Click on one of the Rx’s in the Rx Fill History list and all the remaining details for the specific Rx fill will be shown (date filled, fill quantity, Sig, lot number, expiration date, days supply and pricing information). Verify that all the data is correct (the fill date will be saved automatically with the current date). Choose the correct lot number for the current batch of medication being used (you may need to make a ‘batch of formula - see the Formula Inventory topic). At this point the Rx fill can be refilled by clicking the Save Refill button (assuming there are refills remaining – see the Refill Authorization topic ). You could also edit the chosen Rx fill (see the Edit Rx topic) or delete it (see the Delete Rx topic for more information). See the Hold Rx & Partial Fills topic for more information.

HINT: It does not matter which Rx is clicked in the Rx Fill History list. However, since some of the data can be different for each fill (e.g. quantity, Sig), you may choose to click a specific fill to avoid having to make extensive changes to the current fill.


Edit Rx

Edit Rx

The level of Rx editing allowed depends on how many times the Rx has been filled.

If an Rx has been filled once all fields can be changed, including medication and provider. If an Rx has been refilled at least once, the medication and provider fields are ‘locked’ and can not be changed.


Copy Rx

Copy Rx

You can copy an Rx only when the “basic” Rx information is shown on screen. Choose a patient or use the “short” Rx number method described in the Refill Rx topic.

Choose an Rx number from the Rx Number drop down list. All Rx fills will be shown in the Rx Fill History list and the “basic” Rx information will be shown (date written, date originally filled, provider, medication, original Rx quantity, refills, days supply and pricing information. The refills remaining for the prescription are shown also. At this point the Rx can be copied if desired.

Click the Copy button and the Date Wriiten and Date Filled fields will default to the current date. The cursor will be located in the Sig Code field. The Save button caption will now say ‘Save Copy’. Fill in the remaining fields as if you are working on a new or refill Rx (change any field that is already complete as needed). Click the Save Copy button and the Rx will be saved and given a new Rx number.


Deleting

Deleting Rx's

Rx Delete

The level of Rx deleting depends on how many times the Rx has been filled.

If an Rx has been filled once the entire Rx is deleted. If an Rx has been refilled at least once, the Rx fill that was chosen from the Rx Fill History list is deleted. Choose to return the formula quantity back to inventory on the Delete/Transfer screen. See the Rx Transfer topic for more information.


Transferring

Transfer Rx's

Transfer Rx's

Choose a patient or use the “short” Rx number method described in the Refill Rx topic.

Choose an Rx number from the Rx Number drop down list. All Rx fills will be shown in the Rx Fill History list, click on one of the Rx’s in the Rx Fill History list. Click the Delete button to show the Delete/Transfer screen (which shows the Rx data for your reference) . Click the Transfer Rx option.

Fill in the Transfer Data information and the click the Save button and the Rx will be marked as transferred. The refills for the Rx will be set to zero. Rx’s marked as transferred can still be viewed on the patient profile screen but can no longer be refilled. Transfer information can be viewed by clicking the paper clip button in the Delete/Transferred section of the patient profile screen.

HINT: Deleted and transferred Rx’s are denoted by and “X” in the ‘d/t’ column in the Rx History list on the patient profile screen. Individual Rx’s that have been deleted are identified by and “X” in the ‘d’ column in the Rx Fill History list.

HINT: Deleted Rx’s can be “un-deleted” when viewed on the patient profile screen.


Refill Authorization

Refill Authorization

Set up the Rx to be refilled as described in the Rx Refill topic and click the Save Refill button. If the Rx has no remaining refills, and you answer yes to the message “Do you wish to increase the refills?”, the Refill Authorization screen shows.

Enter the number of refills to be added to the total refills allowed and the contact person data then click the Save button. The Rx will be refilled using one of the added refills; any remaining refills will be available for additional refills. See the Hold Rx & Partial Fills topic for more information.

NOTE: The number of refills entered on the Refill Authorization screen will be added to the total number of refills for the Rx


'Hold' Rx's & Partial Fills

Hold Rx's

Set up a new Rx as described in the Fill Rx’s topic. Enter a ‘0’ quantity for the Rx. Do not choose the lot number as it is not recorded. The Rx Fill Date is not recorded. Click the Save New button.

At this point the saved ‘Hold’ Rx is given an Rx number but is on hold and is available to be ‘released’ at a later date by printing the Rx label AFTER it has been edited to reflect the Date Filled and Lot Number. See the Rx Edit and Rx Fill topics for more information.

NOTE: Don’t refill the ‘hold’ Rx after editing it. Remember that a ‘hold’ Rx has been filled but not dispensed. To ‘release’ the Rx simply edit the Date Filled and Lot Number fields and then print the Rx label. Refilling the ‘hold’ Rx (after editing it) would appear as two Rx fills, the original fill plus the refill.

Partial Fills

Any quantity can be used in an Rx refill (unless there are not enough refills remaining for the quantity entered). Refills remaining are calculated using the original Rx quantity and the total refills allowed. Subsequent refills remaining are calculated the same way, i.e. based on the quantity of the refill.

For example consider the following scenario:

· Original Rx: 100 tabs + 3 refills

· Total Rx quantity: 400 tabs (100+300) (original fill + 3 refills)

· First Rx fill: 100 tabs, 3 refills remaining

· First refill (second Rx fill): 25 tabs, 2.75 refills remaining

· Second refill (third Rx fill): 50 tabs, 2.25 refills remaining

· Third refill (fourth Rx fill): 300 tabs à ERROR (not enough refills remain)

· Retry à Third refill (fourth Rx fill): 225 tabs, 0 refills remaining

See the Refill Rx topic for more information.


Sig Codes

Sig Codes

Sig Codes are letter and number combinations that translate into words and sentences when typed in the Sig Code area on the Rx Fill screen.

Enter the Sig codes with each code separated with a space. ExtemPx will interpret the Sig code and enter the text in the Sig field.

Manage the Sig Codes using the Misc. Data screen which is accessible by clicking the paper clip button next to the Sig Code field or by clicking the Misc. Data icon on the Database NavBar. See the Options & Preferences topic for more information.

NOTE: Sig Codes can not contain spaces.


CII Reporting

CII & Schedule Rx Reporting

CII Tracking & Reporting

Choose to track Controlled Rx's using the Options screen (Rx Data). Choose to track CII’s only or ALL controlled medications (CV-CII). See the Options & Preferences topic for more information.

If you choose to track Controlled Rx's, you will be asked for additional information whenever you fill an Rx that uses a formula that has the appropriate schedule associated. Choose to track CII’s only or ALL controlled medications (CV-CII). This function is primarily for States that use triplicate Rx forms or are required to report controlled Rx transactions on a monthly basis. The additional data is stored in the database and shown on the ASAP report.

Controlled Rx Tracking

You will be asked for additional information whenever you fill an Rx that uses a formula that has the appropriate schedule associated. The information requested on the Electronic Rx Reporting screen is static and contain various items such as Metric Quantity, Compound Code, NDC, Origin Cod, Location Code, Diagnosis Code, Alternate DEA and Triplicate DEA Number.

The ASAP Format (see below) determines which of these fields are “required” fields. Required fields are user configurable based on the requirements of your State and are used as a method of avoiding missing data in the reports. Required fields are marked with an asterisk on the Electronic Rx Reporting screen and must be entered before saving the Rx.

ASAP Report Format

Some States require a scheduled medication report file in ASAP format be mailed or emailed monthly. Manage the ASAP file format (and “required” fields) using the ASAP Format screen which is accessible from the Electronic Rx Reporting screen or the Options screen (Rx Data). See the Options & Preferences and Reports & Labels topics for more information.

ASAP Report File

Some States require a scheduled medication report file in ASAP format be mailed or emailed monthly. Generate a file containing the scheduled medication report using the ExtemPx Reports screen. See the Reports & Labels topic for more information.


Universal Claim Form

Universal Claim Form

The UCF can be printed in various ways. A blank UCF can be printed from the Reports screen. You have to pick a pharmacist from the dropdown list because that pharmacist’s info is printed on the form. A UCF for a patient can be printed from the Fill Rx screen. Choose the patient, Rx number and then the specific Rx from the Rx History list. Just click the "Print UCF" button.

There are two types of UCF's the form suggested by the IACP and the "Frieders UCF" which adds additional patient and insurance company information and was developed by Larry Frieders (optioncare Pharmacy, Aurora IL). You can choose to have the FUCF print instead of the default UCF by opening the Options screen and checking off the box found on the first tab.


Inventory
Template

Wwwwwwww

The Inventory screens are accessed by using the View|Inventory menu or from the Inventory Nav Bar.


Chemical & Device

Chemical & Device Inventory

Chemical & Device Inventory

The Chemical (and Device) Inventory screens contain five main fields: chemical, reorder number, quantity, package cost and vendor. The units for the chemical can not be changed from this screen, but can be edited from the Chemical Database screen. The unit cost for the chemical is calculated by ExtemPx and can be edited by the user.

The chemical, reorder number, and vendor fields are drop down lists preloaded with data from which the user can select. If the required chemical and/or vendor are not in the drop down list, the user must add them. Please see the New Chemical and New Vendor topics for instruction on how to do this.

Automatically Increase Inventory

Select a chemical from the Chemical drop down list. All reorder numbers associated with the chemical will then be available in the Reorder Number drop down list.

Select the reorder number that matches the new stock container from the Reorder Number drop down list. If the reorder number is not found in the drop down list see the Add a New Vendor Package topic below. Otherwise, after selecting the reorder number, the package information will be shown on the screen.

The package information for the reorder number can be changed at this point. When the Save button is clicked ExtemPx detects if the cost per unit has changed. Choose to update the cost per unit (or not) when prompted. The chemical inventory will increase based on the package quantity.

Add a New Vendor Package

If the reorder number is not found in the drop down list a new vendor package can be added. The Quantity, NDC and Package Cost fields should then be completed. The Quantity is the package quantity and the Package Cost is the cost of one package. ExtemPx will automatically calculate the unit cost from this data.

The Vendor Field (source of the chemical) should be picked from the Vendor drop down list. See the Vendor topic if a new vendor needs to be added first. Click the Save button and you will be prompted to add a new package, increase the inventory, and update the unit cost if it has changed.

NOTE: Pay attention to the chemical units when adding new vendor packages. You may need to modify the cost and quantity to match the units. Do NOT change the chemical units.

Manual Inventory Update

The Inventory Status of chemicals is numerically and graphically represented on the Inventory screen. On Hand quantities, Par Levels, Reorder Points, and Cost per Unit can all be set and edited by the user within the Inventory Status field.

Vendor Order Check In

If you receive an order of chemicals and devices the ExtemPx inventory can be modified quickly on the Order Check In screen. The user may access the Order Check In screen from the Chemical Inventory screen by clicking the Check In Order button. Please see the Vendor Orders topic for instruction on how to use this screen.


Formula

Formula Inventory

Formula Inventory

New stock of a formula is generated from the Formula Inventory screen which is accessible by clicking the Form INV icon on the Process Rx or Inventory navigation bars.

Select the formula from the Formula drop down list. Once the desired formula has been selected the last quantity made of that formula will be displayed. The user can generate that amount or type in the desired quantity if different. A lot number is also entered automatically using the format “mmddyy-hhmmss”. Click the Save button to prepare a batch of formula. Ingredient quantities are automatically calculated based on the quantity of the batch.

Labels for previously generated formulas can be printed when needed. Select the formula as described above. Once the formula is selected the lot numbers for the stocks which have been generated will appear under the Lot Number drop down box. Once the desired lot number is selected the Print Label button will be enabled.

Inventory Status of pharmacy stocks is numerically and graphically represented on this screen. On Hand quantities, Par Levels, Reorder Points, and Cost per Unit can all be set and edited by the user within the Inventory Status field.

Auxiliary Labels can be assigned to each Formula. All New Formulas are saved with a set of default Auxiliary Labels that will be used for Rx labels and Stock labels. See the Auxiliary Label topic for more information.


Orders

Orders & Order Check-In

Quickly enter Vendor invoice information and adjust the current pharmacy inventory of chemicals and devices to reflect the invoice data.

New Vendor Invoice

Begin by choosing a Vendor from the dropdown list and then fill in the invoice number and date. New vendors may be entered from the Contacts NavBar.

To enter the invoice data, choose each chemical or device from the dropdown lists and then its corresponding reorder number. The package quantity defaults to one and the price per package is shown. Also shown is the price for one package. You may adjust these three fields before clicking the ADD to list button. Notice that chemicals and devices are "item" invoice types. You can also add sales tax or other invoice types although this would be for informational purposes only and would not affect the chemical and device inventories (the invoice total is shown at the bottom of the screen and can be checked against the invoice).

After checking each item in the invoice list you can click Save New or the Alt + S keys to save the invoice. The chemical and device inventories will be automatically increased.

Edit Vendor Invoice

To edit an Invoice already entered, choose the invoice number from the dropdown list, make the change, then click Save Edit or the Alt + S keys to save the changes.


Reports & Labels

ExtemPx Reports and Labels

The Reports screen is accessed by using the Reports menu (or tool bar icon) or from the Business and Tools Nav Bars.

  • Rx & Stock Labels - Rx and Stock labels.
  • Auxiliry Labels - Add up to 4 auxiliary labels each to the Rx and Stock labels.
  • ExtemPx Reports - There are over 40 standard ExtemPx reports to choose from.
  • Report Writer - Design your own custom reports.
  • Label Writer - Prepare labels of your own design or use a standard Avery label style.
  • Mail Merge - Send mass mailings using mail merge.
  • Customer Invoice - Print and save customer invoices.
  • Queries - A few tips on building database queries.


Rx & Stock Labels

Rx Labels

Prescription labels are printed automatically upon saving the Rx or refill. You can choose to have ExtemPx ask before printing the label (via Options). Extra labels can be printed by simply choosing the patient, Rx number and then the specific Rx from the Rx History list. Just click the "Print Label" button.

Patient Medication Information Sheets (Info Sheets) are printed on the bottom half of the Rx label. Info Sheets are Rich Text documents that are 'assigned' to the Rx Formula. See the Info Sheets help topic for more information.

Stock Labels

Stock labels are printed automatically upon completion of the preparation of a batch of a formula. You can choose to have ExtemPx ask before printing the label (via Options). Extra labels can be printed by simply choosing the formula and then the specific lot number from the lot number list. Just click the "Print Label" button. This is done from the Formula Inventory screen.


Auxiliary Labels

Auxiliary Labels - Stock and Rx Labels

Auxiliary Labels can be assigned to each Formula in your database. There are two sets (of four each) Aux labels. One set of four labels will be printed on the Rx label when the Formula is used to fill an Rx. The other set of four labels are used when a Formula Stock and Stock label is produced.

When a Formula is saved for the first time, a single default label is assigned at the bottom position (the other 3 positions are blank). The default label used for Rx labels is "This prescription was especially prepared for you by your pharmacist". The default label used for Stock labels is "INIT____DATE____".

Saving New Auxiliary Labels

Begin by clicking the Aux Label button on either the Formula Database or Inventory screen. A Formula must first be picked from the drop down list (you must click the Edit button on the Formula Database screen as well).

The Auxiliary Label screen appears and shows all available labels in a list. The right half of the screen shows the labels and the label positions for the chosen Formula. The Auxiliary Label screen tells you if you are working with Stock labels (the default for the Formula Inventory screen) or Rx labels (the default for the Formula Database screen). Regardless of which screen you started from, you can add or edit all the available Aux labels. Choose the label type you wish to use (radio buttons) if the default is incorrect.

The Save/Edit routine follows the same method as the other ExtemPx screens. When you first begin, or when you hit Cancel to start with a clear screen, the save button will read "Add New". Click the button (telling ExtemPx you intend to add a new label) and the button caption changes to "Save New". Choose your font style and type the label text in the edit area. The edit area represents the actual label dimensions and will limit the amount of text that can be typed. Click Save New when you are satisfied with the label and it will be added to the list of labels.

Editing Auxiliary Labels

Following the ExtemPx Save/Edit method, click on a label in the Auxiliary Label list. The save button caption changes to "Edit". Click the button (telling ExtemPx that you intend to edit the picked label) and the button caption changes to "Save Edit". Make your changes to the label then click Save Edit.

You can edit the two default labels but they can not be deleted.

If you delete an Auxiliary Label all associations to Formulas for the deleted label will be lost and those Formulas will use the default labels. Keep this in mind when deleting labels.

Assigning Auxiliary Labels to Formulas

The Auxiliary Label screen tells you if you are working with Stock labels (the default for the Formula Inventory screen) or Rx labels (the default for the Formula Database screen). Regardless of which screen you started from, you can add or edit all the available Aux labels. Choose the label type you wish to use (radio buttons) if the default is incorrect.

The right half of the screen shows the labels and the label positions for the chosen Formula. If no labels are assigned to the Formula the default labels will be shown.

To assign a label, first pick the label from the list and the click the Add To button (right arrow) next to the desired label position. If a label is already assigned to that position, it will be replaced with your choice. To remove a label, click the label itself and the adjoining button becomes a Remove From button (left pointing). Click the button to remove the label. TIP: simply double click the label to remove it.

Once you are satisfied with the labels and their positions, click the 'Save Label Settings' button.


ExtemPx Reports

ExtemPx Reports

There are over 40 standard ExtemPx reports to choose from. Access the Reports screen by clicking the Reports menu item, or the icons on the Tools and Business NavBars.

Choose the report Category to see a list of available reports. Click on a report in the list to see more information in the Report Info area. Some reports require dates and/or additional information that is picked from the drop down list (the drop down list is only visible for the reports that use it).

After choosing the report and entering any required parameters, choose the desired print method, Most reports can be saved as various types of files such as HTML, PDF, text, etc.

HINT: Print reports to the screen first to avoid wasting paper. Send the report to the printer when satisfied with the results.

Report Specifics

Some notable reports are discussed here.

· Frieders UCF & UCF. A blank UCF (with pharmacist info pre-printed) can be printed. The Frieders UCF is a nice compact form that includes extended “Pharmacists Duty to Compound” verbiage.

· Rx Daily Log. A report of all Rx’s filled for a date range with a signature line. This report should be run daily where required.

· Inventory & Reorder Reports. Only chemicals and devices that have Par Levels and Reorder Points are included in these reports.

· Database Reports. Some of the database reports can be quite large. Print to the screen first.

· CII Report. This will bring up the CII Report File screen. See the CII Report topic.

· Customer Invoice. This will bring up the Customer Invoice screen. See the Customer Invoice topic.


Report Writer

AppDC Report Writer

Report Writer

Coming Soon.


Label Writer

AppDC Label Wizard

Prepare labels of your own design or use a standard Avery label style. See the Label Wizard topic for more information.


Mail Merge

Mail Merge

Mail Merge


Customer Invoice

See the Customer Invoice topic (Prices/Costs/Biz) for more information.


CII Report File

Scheduled Medication Reporting

CII Report File


Queries

Got Queries? Here's Some Answers.

Report Queries


Tools & Wizards

Tools and Wizards

"Wizards" are those small screens that walk you through each step in a process. Wizards are used throughout ExtemPx and should help you complete some otherwise complicated tasks quickly and easily.

  • AppDC LiveUpdate - Keep you ExtemPx program up-to-date.

  • Database Wizard - Set database locations and more.

  • EFT Wizard - The ExtemPx Formula Transfer Wizard allows you to share formulas with colleages.

  • AppDC Label Wizard - A quick and easy way to make a mailing label and more.

  • ExtemPx Upgrade Wizard - For ExtemPx 5.1 users who are upgrading.


AppDC LiveUpdate

AppDC LiveUpdate

AppDC's LiveUpdate technology is designed to help you keep your software up-to-date. Every quarter, the LiveUpdate screen will automatically pop up and offer to check for the latest program updates.

An Internet connection is required for LiveUpdate and an error message will appear if no connection is available. An installed and working copy of Microsoft Internet Explorer is recommended because LiveUpdate will attempt to use the IE settings if they are present.

If you are certain you have a connection but still get an error message it may be because of firewall security. Unfortunately, firewalls can be tricky but LiveUpdate can use proxy data in an attempt to bypass the security (contact your network professional about the proxy settings you may require).


Database Wizard

Database Wizard

This wizard appears if ExtemPx is unable to locate the database. Choose to restore a backup database or to point to the correct database location.


EFT Wizard
ExtemPx Formula Transfer Wizard

See the Formula Transfer topic.


Label Wizard

AppDC Label Wizard
Standard Labels

AppDC Label Wizard

Prepare labels of your own design or use a standard Avery label style.


Upgrade Wizard

Upgrade from Previous Version

The Upgrade wizard is covered in seperate documentation.